/dts-v1/;

/ {

	__fixups__ {
		accdet = "/fragment@12:target:0";
		auxadc = "/fragment@22/__overlay__:io-channels:0", "/fragment@26:target:0", "/fragment@27/__overlay__:io-channels:0";
		camera_af_hw_node = "/fragment@52:target:0";
		charger = "/fragment@23:target:0";
		chosen = "/fragment@2:target:0";
		dispsys_config = "/fragment@17:target:0";
		dsi0 = "/fragment@18:target:0";
		dsi_te = "/fragment@44:target:0";
		extcon_usb = "/fragment@22:target:0";
		gpio = "/fragment@40:target:0";
		gpio_usage_mapping = "/fragment@39:target:0";
		gps = "/fragment@10:target:0";
		i2c0 = "/fragment@29:target:0";
		i2c1 = "/fragment@30:target:0";
		i2c2 = "/fragment@11:target:0", "/fragment@31:target:0", "/fragment@49:target:0", "/fragment@50:target:0";
		i2c3 = "/fragment@32:target:0";
		i2c4 = "/fragment@33:target:0";
		i2c5 = "/fragment@25:target:0", "/fragment@34:target:0";
		i2c6 = "/fragment@35:target:0";
		i2c7 = "/fragment@36:target:0";
		i2c8 = "/fragment@37:target:0";
		i2c9 = "/fragment@38:target:0", "/fragment@54:target:0";
		irtx_pwm = "/fragment@19:target:0";
		kd_camera_hw1 = "/fragment@48:target:0";
		keypad = "/fragment@13:target:0", "/fragment@46:target:0";
		lk_charger = "/fragment@24:target:0";
		md1_sim1_hot_plug_eint = "/fragment@45:target:0";
		md_auxadc = "/fragment@27:target:0";
		mrdump_ext_rst = "/fragment@41:target:0";
		msdc1_ins = "/fragment@42:target:0";
		mt_charger = "/fragment@22/__overlay__:charger:0";
		mtkfb = "/fragment@16:target:0";
		odm = "/fragment@3:target:0", "/fragment@21:target:0";
		pio = "/fragment@3/__overlay__/tran_audio:fs_extamp_gpio:0", "/fragment@3/__overlay__/tran_audio:dual_speaker_gpio:0", "/fragment@3/__overlay__/fingerprint:interrupt-parent:0", "/fragment@4/__overlay__/fingerprint@0:interrupt-parent:0", "/fragment@4/__overlay__/fingerprint@0:irq-gpio-std:0", "/fragment@4/__overlay__/fingerprint@0:reset-gpio-std:0", "/fragment@4/__overlay__/fingerprint@0:tran,gpio_pwr-std:0", "/fragment@5:target:0", "/fragment@8:target:0", "/fragment@9:target:0", "/fragment@14:target:0", "/fragment@15:target:0", "/fragment@18/__overlay__/panel1@0:reset-gpios:0", "/fragment@18/__overlay__/panel1@0:bias-gpios:0", "/fragment@18/__overlay__/panel1@0:bias-gpios:12", "/fragment@20:target:0", "/fragment@22/__overlay__:id-gpios:0", "/fragment@25/__overlay__/rt-swchg@53:rt,intr_gpio:0", "/fragment@25/__overlay__/rt-swchg@53:hvdcp20_dp_gpio:0", "/fragment@25/__overlay__/rt-swchg@53:tc30_dm_gpio:0", "/fragment@39/__overlay__:GPIO_SIM1_HOT_PLUG:0", "/fragment@39/__overlay__:GPIO_SIM1_SCLK:0", "/fragment@39/__overlay__:GPIO_SIM1_SRST:0", "/fragment@39/__overlay__:GPIO_SIM1_SIO:0", "/fragment@39/__overlay__:GPIO_SIM2_SCLK:0", "/fragment@39/__overlay__:GPIO_SIM2_SRST:0", "/fragment@39/__overlay__:GPIO_SIM2_SIO:0", "/fragment@41/__overlay__:interrupt-parent:0", "/fragment@42/__overlay__:interrupt-parent:0", "/fragment@42/__overlay__:deb-gpios:0", "/fragment@43/__overlay__:interrupt-parent:0", "/fragment@44/__overlay__:interrupt-parent:0", "/fragment@47:target:0", "/fragment@51:target:0", "/fragment@53:target:0", "/fragment@55:target:0";
		pmic_clock_buffer_ctrl = "/fragment@28:target:0";
		reserved_memory = "/fragment@0:target:0";
		spi0 = "/fragment@4:target:0";
		spi3 = "/fragment@6:target:0";
		touch = "/fragment@7:target:0", "/fragment@43:target:0";
		u2port0 = "/fragment@1:target:0";
	};

	__local_fixups__ {

		fragment@10 {

			__overlay__ {
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
				pinctrl-2 = <0x0>;
				pinctrl-3 = <0x0>;
			};
		};

		fragment@13 {

			__overlay__ {
				pinctrl-0 = <0x0>;
			};
		};

		fragment@16 {

			__overlay__ {
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
				pinctrl-2 = <0x0>;
				pinctrl-3 = <0x0>;
				pinctrl-4 = <0x0>;
				pinctrl-5 = <0x0>;
				pinctrl-6 = <0x0>;
			};
		};

		fragment@17 {

			__overlay__ {
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
				pinctrl-2 = <0x0>;
			};
		};

		fragment@18 {

			__overlay__ {

				panel1@0 {

					port {

						endpoint {
							remote-endpoint = <0x0>;
						};
					};
				};

				ports {

					port {

						endpoint {
							remote-endpoint = <0x0>;
						};
					};
				};
			};
		};

		fragment@19 {

			__overlay__ {
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
			};
		};

		fragment@3 {

			__overlay__ {

				cam_vdd_ext {
					pinctrl-0 = <0x0>;
					pinctrl-1 = <0x0>;
					pinctrl-2 = <0x0>;
				};

				fingerprint {
					pinctrl-0 = <0x0>;
					pinctrl-1 = <0x0>;
					pinctrl-2 = <0x0>;
					pinctrl-3 = <0x0>;
					pinctrl-4 = <0x0>;
				};

				flashlights_aw36515 {
					pinctrl-0 = <0x0>;
					pinctrl-1 = <0x0>;
					pinctrl-2 = <0x0>;
				};
			};
		};

		fragment@4 {

			__overlay__ {

				fingerprint@0 {
					pinctrl-0 = <0x0>;
					pinctrl-1 = <0x0>;
					pinctrl-2 = <0x0>;
					pinctrl-3 = <0x0>;
					pinctrl-4 = <0x0>;
					pinctrl-5 = <0x0>;
				};
			};
		};

		fragment@48 {

			__overlay__ {
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
				pinctrl-10 = <0x0>;
				pinctrl-11 = <0x0>;
				pinctrl-12 = <0x0>;
				pinctrl-13 = <0x0>;
				pinctrl-14 = <0x0>;
				pinctrl-15 = <0x0>;
				pinctrl-16 = <0x0>;
				pinctrl-17 = <0x0>;
				pinctrl-18 = <0x0>;
				pinctrl-19 = <0x0>;
				pinctrl-2 = <0x0>;
				pinctrl-20 = <0x0>;
				pinctrl-21 = <0x0>;
				pinctrl-22 = <0x0>;
				pinctrl-23 = <0x0>;
				pinctrl-24 = <0x0>;
				pinctrl-25 = <0x0>;
				pinctrl-26 = <0x0>;
				pinctrl-27 = <0x0>;
				pinctrl-28 = <0x0>;
				pinctrl-29 = <0x0>;
				pinctrl-3 = <0x0>;
				pinctrl-30 = <0x0>;
				pinctrl-31 = <0x0>;
				pinctrl-32 = <0x0>;
				pinctrl-33 = <0x0>;
				pinctrl-34 = <0x0>;
				pinctrl-35 = <0x0>;
				pinctrl-36 = <0x0>;
				pinctrl-37 = <0x0>;
				pinctrl-38 = <0x0>;
				pinctrl-39 = <0x0>;
				pinctrl-4 = <0x0>;
				pinctrl-40 = <0x0>;
				pinctrl-41 = <0x0>;
				pinctrl-42 = <0x0>;
				pinctrl-5 = <0x0>;
				pinctrl-6 = <0x0>;
				pinctrl-7 = <0x0>;
				pinctrl-8 = <0x0>;
				pinctrl-9 = <0x0>;
			};
		};

		fragment@52 {

			__overlay__ {
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
				pinctrl-2 = <0x0>;
			};
		};

		fragment@7 {

			__overlay__ {
				pinctrl-0 = <0x0>;
				pinctrl-1 = <0x0>;
				pinctrl-2 = <0x0>;
				pinctrl-3 = <0x0>;
				pinctrl-4 = <0x0>;
				pinctrl-5 = <0x0>;
			};
		};
	};

	__symbols__ {
		cam0_ldo_vcamaf_default = "/fragment@51/__overlay__/camaf_default";
		cam0_ldo_vcamaf_high = "/fragment@51/__overlay__/camaf_m1_gpio_on";
		cam0_ldo_vcamaf_low = "/fragment@51/__overlay__/camaf_m1_gpio_off";
		cam_vdd_ext = "/fragment@3/__overlay__/cam_vdd_ext";
		camera_main_af_mtk = "/fragment@31/__overlay__/camera_main_af@0c";
		camera_main_mtk = "/fragment@31/__overlay__/camera_main@10";
		camera_main_two_mtk = "/fragment@37/__overlay__/camera_main_two@10";
		camera_pins_cam0_mclk_2ma = "/fragment@47/__overlay__/camera_pins_cam0_mclk_2ma";
		camera_pins_cam0_mclk_4ma = "/fragment@47/__overlay__/camera_pins_cam0_mclk_4ma";
		camera_pins_cam0_mclk_6ma = "/fragment@47/__overlay__/camera_pins_cam0_mclk_6ma";
		camera_pins_cam0_mclk_8ma = "/fragment@47/__overlay__/camera_pins_cam0_mclk_8ma";
		camera_pins_cam0_mclk_off = "/fragment@47/__overlay__/camera_pins_cam0_mclk_off";
		camera_pins_cam0_rst_0 = "/fragment@47/__overlay__/cam0@0";
		camera_pins_cam0_rst_1 = "/fragment@47/__overlay__/cam0@1";
		camera_pins_cam0_vcamio_0 = "/fragment@47/__overlay__/cam0@vcam0";
		camera_pins_cam0_vcamio_1 = "/fragment@47/__overlay__/cam0@vcam1";
		camera_pins_cam1_mclk_2ma = "/fragment@47/__overlay__/camera_pins_cam1_mclk_2ma";
		camera_pins_cam1_mclk_4ma = "/fragment@47/__overlay__/camera_pins_cam1_mclk_4ma";
		camera_pins_cam1_mclk_6ma = "/fragment@47/__overlay__/camera_pins_cam1_mclk_6ma";
		camera_pins_cam1_mclk_8ma = "/fragment@47/__overlay__/camera_pins_cam1_mclk_8ma";
		camera_pins_cam1_mclk_off = "/fragment@47/__overlay__/camera_pins_cam1_mclk_off";
		camera_pins_cam1_rst_0 = "/fragment@47/__overlay__/cam1@0";
		camera_pins_cam1_rst_1 = "/fragment@47/__overlay__/cam1@1";
		camera_pins_cam1_vcamio_0 = "/fragment@47/__overlay__/cam1@vcam0";
		camera_pins_cam1_vcamio_1 = "/fragment@47/__overlay__/cam1@vcam1";
		camera_pins_cam2_mclk_2ma = "/fragment@47/__overlay__/camera_pins_cam2_mclk_2ma";
		camera_pins_cam2_mclk_4ma = "/fragment@47/__overlay__/camera_pins_cam2_mclk_4ma";
		camera_pins_cam2_mclk_6ma = "/fragment@47/__overlay__/camera_pins_cam2_mclk_6ma";
		camera_pins_cam2_mclk_8ma = "/fragment@47/__overlay__/camera_pins_cam2_mclk_8ma";
		camera_pins_cam2_mclk_off = "/fragment@47/__overlay__/camera_pins_cam2_mclk_off";
		camera_pins_cam2_pnd_0 = "/fragment@47/__overlay__/cam2@2";
		camera_pins_cam2_pnd_1 = "/fragment@47/__overlay__/cam2@3";
		camera_pins_cam2_rst_0 = "/fragment@47/__overlay__/cam2@0";
		camera_pins_cam2_rst_1 = "/fragment@47/__overlay__/cam2@1";
		camera_pins_cam2_vcamd_0 = "/fragment@47/__overlay__/cam2@vcam2";
		camera_pins_cam2_vcamd_1 = "/fragment@47/__overlay__/cam2@vcam3";
		camera_pins_cam2_vcamio_0 = "/fragment@47/__overlay__/cam2@vcam0";
		camera_pins_cam2_vcamio_1 = "/fragment@47/__overlay__/cam2@vcam1";
		camera_pins_cam3_mclk_2ma = "/fragment@47/__overlay__/camera_pins_cam3_mclk_2ma";
		camera_pins_cam3_mclk_4ma = "/fragment@47/__overlay__/camera_pins_cam3_mclk_4ma";
		camera_pins_cam3_mclk_6ma = "/fragment@47/__overlay__/camera_pins_cam3_mclk_6ma";
		camera_pins_cam3_mclk_8ma = "/fragment@47/__overlay__/camera_pins_cam3_mclk_8ma";
		camera_pins_cam3_mclk_off = "/fragment@47/__overlay__/camera_pins_cam3_mclk_off";
		camera_pins_cam3_pnd_0 = "/fragment@47/__overlay__/cam3@2";
		camera_pins_cam3_pnd_1 = "/fragment@47/__overlay__/cam3@3";
		camera_pins_cam3_rst_0 = "/fragment@47/__overlay__/cam3@0";
		camera_pins_cam3_rst_1 = "/fragment@47/__overlay__/cam3@1";
		camera_pins_cam3_vcamio_0 = "/fragment@47/__overlay__/cam3@vcam0";
		camera_pins_cam3_vcamio_1 = "/fragment@47/__overlay__/cam3@vcam1";
		camera_pins_default = "/fragment@47/__overlay__/camdefault";
		camera_sub_mtk = "/fragment@31/__overlay__/camera_sub@36";
		camera_sub_two_mtk = "/fragment@33/__overlay__/camera_sub_two@10";
		ctp_pins_default = "/fragment@8/__overlay__/eint0default";
		ctp_pins_eint_as_int = "/fragment@8/__overlay__/ctp_eint@0";
		ctp_pins_eint_output0 = "/fragment@8/__overlay__/eintoutput0";
		ctp_pins_eint_output1 = "/fragment@8/__overlay__/eintoutput1";
		ctp_pins_rst_output0 = "/fragment@8/__overlay__/rstoutput0";
		ctp_pins_rst_output1 = "/fragment@8/__overlay__/rstoutput1";
		dsi_out = "/fragment@18/__overlay__/ports/port/endpoint";
		ext_ldo_pins_default = "/fragment@53/__overlay__/extldodefault";
		ext_ldo_pins_hwen_high = "/fragment@53/__overlay__/extldo_en_high";
		ext_ldo_pins_hwen_low = "/fragment@53/__overlay__/extldo_en_low";
		fingerprint = "/fragment@3/__overlay__/fingerprint";
		fingerprint_default = "/fragment@5/__overlay__/fingerprint_default";
		fingerprint_eint = "/fragment@5/__overlay__/gpio1_eint";
		fingerprint_eint_pull_down = "/fragment@5/__overlay__/gpio1_eint_pull_down";
		fingerprint_rst_one = "/fragment@5/__overlay__/rst_out_one";
		fingerprint_rst_zero = "/fragment@5/__overlay__/rst_out_zero";
		fingerprint_spi_default = "/fragment@5/__overlay__/spimode_default";
		flashlights_aw36515 = "/fragment@3/__overlay__/flashlights_aw36515";
		flashlights_aw36515_pins_default = "/fragment@55/__overlay__/aw36515default";
		flashlights_aw36515_pins_hwen_high = "/fragment@55/__overlay__/aw36515hwen_high";
		flashlights_aw36515_pins_hwen_low = "/fragment@55/__overlay__/aw36515hwen_low";
		gps_l1_lna_pins_dsp_ctrl = "/fragment@9/__overlay__/gps_l1_lna@1";
		gps_l1_lna_pins_oh = "/fragment@9/__overlay__/gps_l1_lna@2";
		gps_l1_lna_pins_ol = "/fragment@9/__overlay__/gps_l1_lna@0";
		gps_pins_default = "/fragment@9/__overlay__/gps_default";
		i2c_lcd_bias_mtk = "/fragment@35/__overlay__/i2c_lcd_bias@3e";
		irtx_gpio_led_default = "/fragment@20/__overlay__/irtx_gpio_led_def@gpio42";
		irtx_gpio_led_set = "/fragment@20/__overlay__/irtx_gpio_led_set@gpio42";
		kpd_pins_default = "/fragment@14/__overlay__/kpdgpiodefault";
		led0 = "/fragment@3/__overlay__/led@0";
		led1 = "/fragment@3/__overlay__/led@1";
		led2 = "/fragment@3/__overlay__/led@2";
		led3 = "/fragment@3/__overlay__/led@3";
		led4 = "/fragment@3/__overlay__/led@4";
		led5 = "/fragment@3/__overlay__/led@5";
		led6 = "/fragment@3/__overlay__/led@6";
		mtk_camera_eeprom0 = "/fragment@49/__overlay__/camera_eeprom0@50";
		mtk_camera_eeprom1 = "/fragment@50/__overlay__/camera_eeprom1@51";
		mtkfb_pins_lcd_bias_enn0 = "/fragment@15/__overlay__/lcd_bias_enn0_gpio";
		mtkfb_pins_lcd_bias_enn1 = "/fragment@15/__overlay__/lcd_bias_enn1_gpio";
		mtkfb_pins_lcd_bias_enp0 = "/fragment@15/__overlay__/lcd_bias_enp0_gpio";
		mtkfb_pins_lcd_bias_enp1 = "/fragment@15/__overlay__/lcd_bias_enp1_gpio";
		mtkfb_pins_lcm_dsi_te = "/fragment@15/__overlay__/lcm_dsi_te";
		mtkfb_pins_lcm_rst_out0_gpio = "/fragment@15/__overlay__/lcm_rst_out0_gpio";
		mtkfb_pins_lcm_rst_out1_gpio = "/fragment@15/__overlay__/lcm_rst_out1_gpio";
		nfc_mtk = "/fragment@32/__overlay__/nfc@08";
		panel_in1 = "/fragment@18/__overlay__/panel1@0/port/endpoint";
		strobe_main_mtk = "/fragment@32/__overlay__/strobe_main@63";
		subpmic_pmu_mtk = "/fragment@34/__overlay__/subpmic_pmu@34";
		tran_audio = "/fragment@3/__overlay__/tran_audio";
		tran_battery = "/fragment@21/__overlay__/tran_battery";
		tran_battery_aging = "/fragment@21/__overlay__/tran_battery_aging";
		tran_touch = "/fragment@6/__overlay__/touch@0";
		usb_c_pinctrl = "/fragment@3/__overlay__/usb_c_pinctrl";
		vibrator0 = "/fragment@3/__overlay__/vibrator@0";
	};

	fragment@0 {
		target = <0xffffffff>;

		__overlay__ {
		};
	};

	fragment@1 {
		target = <0xffffffff>;

		__overlay__ {
			mediatek,eye-disc = <0xa>;
			mediatek,eye-rev6 = <0x2>;
			mediatek,eye-term = <0x7>;
			mediatek,eye-vrt = <0x7>;
			mediatek,host-eye-disc = <0xa>;
			mediatek,host-eye-rev6 = <0x2>;
			mediatek,host-eye-term = <0x6>;
			mediatek,host-eye-vrt = <0x6>;
		};
	};

	fragment@10 {
		target = <0xffffffff>;

		__overlay__ {
			pinctrl-0 = <0x13>;
			pinctrl-1 = <0x14>;
			pinctrl-2 = <0x15>;
			pinctrl-3 = <0x16>;
			pinctrl-names = "default", "gps_l1_lna_disable", "gps_l1_lna_dsp_ctrl", "gps_l1_lna_enable", "gps_l5_lna_disable", "gps_l5_lna_dsp_ctrl", "gps_l5_lna_enable";
			status = "okay";
		};
	};

	fragment@11 {
		target = <0xffffffff>;

		__overlay__ {
			clock-frequency = <0x61a80>;

			mtk-usb@60 {
				compatible = "mediatek,mtk-usb";
				reg = <0x60>;
				status = "okay";
			};
		};
	};

	fragment@12 {
		target = <0xffffffff>;

		__overlay__ {
			accdet-mic-mode = <0x1>;
			accdet-mic-vol = <0x6>;
			accdet-plugout-debounce = <0x1>;
			headset-eint-level-pol = <0x8>;
			headset-four-key-threshold = <0x0 0x3a 0x79 0xc0 0x190>;
			headset-mode-setting = <0x500 0x500 0x1 0x1f0 0x800 0x800 0x20 0x44>;
			headset-three-key-threshold = <0x0 0x50 0xdc 0x190>;
			headset-three-key-threshold-CDD = <0x0 0x79 0xc0 0x258>;
			status = "okay";
		};
	};

	fragment@13 {
		target = <0xffffffff>;

		__overlay__ {
			pinctrl-0 = <0x17>;
			pinctrl-names = "default";
		};
	};

	fragment@14 {
		target = <0xffffffff>;

		__overlay__ {

			kpdgpiodefault {
				phandle = <0x17>;

				pins_cmd_dat {
					bias-pull-up = <0x66>;
					input-enable;
					input-schmitt-enable;
					pinmux = <0x5001>;
				};
			};
		};
	};

	fragment@15 {
		target = <0xffffffff>;

		__overlay__ {

			lcd_bias_enn0_gpio {
				phandle = <0x1b>;

				pins_cmd_dat {
					output-low;
					pinmux = <0xa900>;
					slew-rate = <0x1>;
				};
			};

			lcd_bias_enn1_gpio {
				phandle = <0x1a>;

				pins_cmd_dat {
					output-high;
					pinmux = <0xa900>;
					slew-rate = <0x1>;
				};
			};

			lcd_bias_enp0_gpio {
				phandle = <0x19>;

				pins_cmd_dat {
					output-low;
					pinmux = <0xa700>;
					slew-rate = <0x1>;
				};
			};

			lcd_bias_enp1_gpio {
				phandle = <0x18>;

				pins_cmd_dat {
					output-high;
					pinmux = <0xa700>;
					slew-rate = <0x1>;
				};
			};

			lcm_dsi_te {
				phandle = <0x1e>;

				pins_cmd_dat {
					pinmux = <0x6101>;
				};
			};

			lcm_rst_out0_gpio {
				phandle = <0x1d>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x6300>;
					slew-rate = <0x1>;
				};
			};

			lcm_rst_out1_gpio {
				phandle = <0x1c>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x6300>;
					slew-rate = <0x1>;
				};
			};
		};
	};

	fragment@16 {
		target = <0xffffffff>;

		__overlay__ {
			pinctrl-0 = <0x18>;
			pinctrl-1 = <0x19>;
			pinctrl-2 = <0x1a>;
			pinctrl-3 = <0x1b>;
			pinctrl-4 = <0x1c>;
			pinctrl-5 = <0x1d>;
			pinctrl-6 = <0x1e>;
			pinctrl-names = "lcd_bias_enp1_gpio", "lcd_bias_enp0_gpio", "lcd_bias_enn1_gpio", "lcd_bias_enn0_gpio", "lcm_rst_out1_gpio", "lcm_rst_out0_gpio", "mode_te_te";
			status = "okay";
		};
	};

	fragment@17 {
		target = <0xffffffff>;

		__overlay__ {
			pinctrl-0 = <0x1c>;
			pinctrl-1 = <0x1d>;
			pinctrl-2 = <0x1e>;
			pinctrl-names = "lcm_rst_out1_gpio", "lcm_rst_out0_gpio", "mode_te_te";
			status = "okay";
		};
	};

	fragment@18 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			status = "okay";

			panel1@0 {
				bias-gpios = <0xffffffff 0xa7 0x0 0xffffffff 0xa9 0x0>;
				compatible = "nt36672c,fhdp,dsi,vdo,tm,tm,120hz,x6827";
				pinctrl-names = "default";
				reg = <0x0>;
				reset-gpios = <0xffffffff 0x63 0x0>;

				port {

					endpoint {
						phandle = <0x20>;
						remote-endpoint = <0x1f>;
					};
				};
			};

			ports {

				port {

					endpoint {
						phandle = <0x1f>;
						remote-endpoint = <0x20>;
					};
				};
			};
		};
	};

	fragment@19 {
		target = <0xffffffff>;

		__overlay__ {
			pinctrl-0 = <0x21>;
			pinctrl-1 = <0x22>;
			pinctrl-names = "irtx_gpio_led_default", "irtx_gpio_led_set";
			status = "okay";
		};
	};

	fragment@2 {
		target = <0xffffffff>;

		__overlay__ {
			atag,videolfb-fb_base_h = <0x0>;
			atag,videolfb-fb_base_l = "~`P";
			atag,videolfb-fps = <0x1770>;
			atag,videolfb-islcm_inited = <0x0>;
			atag,videolfb-islcmfound = <0x1>;
			atag,videolfb-lcmname = "nt35695_fhd_dsi_cmd_truly_rt5081_drv";
			atag,videolfb-vramSize = <0x17e8000>;
		};
	};

	fragment@20 {
		target = <0xffffffff>;

		__overlay__ {

			irtx_gpio_led_def@gpio42 {
				phandle = <0x21>;

				pins_cmd_dat {
					bias-disable;
					input-schmitt-enable = <0x0>;
					output-low;
					pinmux = <0x2a00>;
					slew-rate = <0x1>;
				};
			};

			irtx_gpio_led_set@gpio42 {
				phandle = <0x22>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x2a03>;
					slew-rate = <0x1>;
				};
			};
		};
	};

	fragment@21 {
		target = <0xffffffff>;

		__overlay__ {

			tran_battery {
				compatible = "tran,chg_fun";
				enable_pcb_tml;
				jeita_above_t4_chg_cur = <0x0>;
				jeita_above_t4_input_cur = <0xf4240>;
				jeita_below_t0_chg_cur = <0x0>;
				jeita_below_t0_input_cur = <0x16e360>;
				jeita_t0_to_t1_chg_cur = <0xf4240>;
				jeita_t0_to_t1_input_cur = <0x16e360>;
				jeita_t2_to_t3_chg_cur = <0x1e8480>;
				jeita_t2_to_t3_input_cur = <0x200b20>;
				jeita_t3_to_t4_chg_cur = <0x1e8480>;
				jeita_t3_to_t4_input_cur = <0x200b20>;
				pcb_cur_step_one = <0x1f4>;
				pcb_cur_step_two = <0x1f4>;
				pcb_min_chg_cur = <0xf4240>;
				pcb_temp_step_one = <0xa028>;
				pcb_temp_step_two = <0xabe0>;
				phandle = <0x5f>;
			};

			tran_battery_aging {
				battery_aging_module0 = <0x0>;
				battery_aging_module1 = <0x0>;
				battery_aging_module2 = <0x0>;
				battery_aging_module3 = <0x0>;
				compatible = "tran,chg_aging";
				phandle = <0x60>;
			};
		};
	};

	fragment@22 {
		target = <0xffffffff>;

		__overlay__ {
			charger = <0xffffffff>;
			fake_typec_otg_detect;
			id-gpios = <0xffffffff 0x53 0x0>;
			io-channel-names = "AUX_CHG";
			io-channels = <0xffffffff 0x5>;
		};
	};

	fragment@23 {
		target = <0xffffffff>;

		__overlay__ {
			ac_charger_current = <0x2191c0>;
			ac_charger_input_current = <0x1e8480>;
			algorithm_name = "SwitchCharging";
			apple_1_0a_charger_current = <0x9eb10>;
			apple_2_1a_charger_current = <0xc3500>;
			battery_cv = <0x43e6d0 0x43e6d0 0x43e6d0 0x43e6d0>;
			bif_cv_under_threshold2 = <0x43e6d0>;
			bif_threshold1 = <0x40d990>;
			bif_threshold2 = <0x419ce0>;
			cable_imp_threshold = <0x2bb>;
			charging_host_charger_current = <0x16e360>;
			chg1_ta_ac_charger_current = <0x16e360>;
			chg2_ta_ac_charger_current = <0x16e360>;
			compatible = "mediatek,charger";
			disable_pd_dual;
			dual_polling_ieoc = <0x6ddd0>;
			enable_hvdcp20;
			enable_ir_comp;
			enable_min_charge_temp;
			enable_pe_2;
			enable_pe_plus;
			enable_sw_jeita;
			enable_tc30;
			high_temp_to_enter_pe40 = <0x27>;
			high_temp_to_leave_pe40 = <0x2e>;
			ibus_err = <0xe>;
			jeita_temp_above_t4_cv = <0x3f52f0 0x3f52f0 0x3f52f0 0x3f52f0>;
			jeita_temp_below_t0_cv = <0x43e6d0 0x43e6d0 0x43e6d0 0x43e6d0>;
			jeita_temp_t0_to_t1_cv = <0x43e6d0 0x43e6d0 0x43e6d0 0x43e6d0>;
			jeita_temp_t1_to_t2_cv = <0x43e6d0 0x43e6d0 0x43e6d0 0x43e6d0>;
			jeita_temp_t2_to_t3_cv = <0x43e6d0 0x43e6d0 0x43e6d0 0x43e6d0>;
			jeita_temp_t3_to_t4_cv = <0x3f52f0 0x3f52f0 0x3f52f0 0x3f52f0>;
			low_temp_to_enter_pe40 = <0x10>;
			low_temp_to_leave_pe40 = <0xa>;
			max_charge_temp = <0x35>;
			max_charge_temp_minus_x_degree = <0x34>;
			max_charger_voltage = <0x632ea0>;
			max_charging_time = <0x11940>;
			max_dmivr_charger_current = <0x155cc0>;
			min_charge_temp = <0x0>;
			min_charge_temp_plus_x_degree = <0x1>;
			min_charger_voltage = <0x4630c0>;
			min_charger_voltage_1 = <0x432380>;
			min_charger_voltage_2 = <0x401640>;
			multi_battery_cv;
			non_std_ac_charger_current = <0x124f80>;
			pd_ichg_level_threshold = <0xf4240>;
			pd_stop_battery_soc = <0x50>;
			pd_vbus_low_bound = <0x4c4b40>;
			pd_vbus_upper_bound = <0x4c4b40>;
			pe20_ichg_level_threshold = <0xf4240>;
			pe40_dual_charger_chg1_current = <0x1e8480>;
			pe40_dual_charger_chg2_current = <0x1e8480>;
			pe40_dual_charger_input_current = <0x2dc6c0>;
			pe40_r_cable_1a_lower = <0x206>;
			pe40_r_cable_2a_lower = <0x17f>;
			pe40_r_cable_3a_lower = <0xf5>;
			pe40_single_charger_current = <0x2dc6c0>;
			pe40_single_charger_input_current = <0x2dc6c0>;
			pe40_stop_battery_soc = <0x50>;
			pe_ichg_level_threshold = <0xf4240>;
			power_path_support;
			r_bat_comp = <0x1e>;
			slave_mivr_diff = <0x186a0>;
			ta_9v_support;
			ta_ac_12v_input_current = <0x30d400>;
			ta_ac_7v_input_current = <0x231860>;
			ta_ac_9v_input_current = <0x200b20>;
			ta_ac_charger_current = <0x2dc6c0>;
			ta_start_battery_soc = <0x0>;
			ta_stop_battery_soc = <0x5a>;
			temp_neg_10_thres = <0x2>;
			temp_t0_thres = <0x1>;
			temp_t0_thres_plus_x_degree = <0x1>;
			temp_t1_thres = <0x1>;
			temp_t1_thres_plus_x_degree = <0x1>;
			temp_t2_thres = <0xf>;
			temp_t2_thres_plus_x_degree = <0x10>;
			temp_t3_thres = <0x2d>;
			temp_t3_thres_minus_x_degree = <0x2c>;
			temp_t4_thres = <0x37>;
			temp_t4_thres_minus_x_degree = <0x33>;
			usb_charger_current = <0x7a120>;
			usb_charger_current_configured = <0x7a120>;
			usb_charger_current_suspend = <0x0>;
			usb_charger_current_unconfigured = <0x11170>;
			v_comp_max = <0x9c40>;
			vbat_cable_imp_threshold = <0x3b8260>;
			vsys_watt = <0x4c4b40>;
		};
	};

	fragment@24 {
		target = <0xffffffff>;

		__overlay__ {
			ac_charger_current = <0x16e360>;
			ac_charger_input_current = <0x16e360>;
			charging_host_charger_current = <0x16e360>;
			compatible = "mediatek,lk_charger";
			cur_threshold = <0x7a120>;
			enable_anime;
			enable_pd20_reset;
			enable_pe_plus;
			fast_charge_voltage = <0x2625a0>;
			max_charger_voltage = <0x632ea0>;
			non_std_ac_charger_current = <0x7a120>;
			pd_charger_current = <0x7a120>;
			power_path_support;
			ta_ac_charger_current = <0x2dc6c0>;
			temp_t1_threshold = <0x0>;
			temp_t2_threshold = <0xf>;
			temp_t3_threshold = <0x2d>;
			temp_t4_threshold = <0x32>;
			usb_charger_current = <0x7a120>;
		};
	};

	fragment@25 {
		target = <0xffffffff>;

		__overlay__ {

			rt-swchg@53 {
				compatible = "richtek,swchg";
				hvdcp20_dp_gpio = <0xffffffff 0xa6 0x0>;
				reg = <0x53>;
				rt,intr_gpio = <0xffffffff 0x4 0x0>;
				rt,intr_gpio_num = <0x4>;
				status = "okay";
				tc30_dm_gpio = <0xffffffff 0xad 0x0>;

				rt9471 {
					aicr = <0x7a120>;
					charger_name = "primary_chg";
					chg_alias_name = "rt9471_chg";
					cv = <0x43e6d0>;
					en_qon_rst;
					en_safe_tmr;
					en_te;
					ichg = <0x16e360>;
					ieoc = <0x30d40>;
					interrupt-names = "wdt", "chg_mivr", "vac_ov", "otg_fault", "chg_rdy", "chg_done", "aicc_done", "pe_done", "chg_tout", "ieoc", "rechg", "chg_batov";
					mivr = <0x432380>;
					mivr_track = <0x0>;
					rm-name = "rt9471";
					rm-slave-addr = [53];
					safe_tmr = <0xa>;
					vac_ovp = <0xd59f80>;
					wdt = <0x28>;
				};
			};
		};
	};

	fragment@26 {
		target = <0xffffffff>;

		__overlay__ {

			adc_channel@ {
				compatible = "mediatek,adc_channel";
				mediatek,adc_fdd_rf_params_dynamic_custom_ch = <0x2>;
				status = "okay";
			};
		};
	};

	fragment@27 {
		target = <0xffffffff>;

		__overlay__ {
			io-channels = <0xffffffff 0x2>;
		};
	};

	fragment@28 {
		target = <0xffffffff>;

		__overlay__ {
			mediatek,clkbuf-config = <0x2 0x1 0x1 0x2 0x0 0x0 0x1>;
			mediatek,clkbuf-driving-current = <0x1 0x1 0x1 0x1 0x1 0x1 0x1>;
			mediatek,clkbuf-quantity = <0x7>;
			status = "okay";
		};
	};

	fragment@29 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;
		};
	};

	fragment@3 {
		target = <0xffffffff>;

		__overlay__ {

			cam_vdd_ext {
				compatible = "mediatek,cam_vdd_ext";
				phandle = <0x51>;
				pinctrl-0 = <0x1>;
				pinctrl-1 = <0x2>;
				pinctrl-2 = <0x3>;
				pinctrl-names = "extldodefault", "extldo_en_high", "extldo_en_low";
				status = "okay";
			};

			fingerprint {
				compatible = "tran_fp";
				debounce = <0x1 0x0>;
				interrupt-parent = <0xffffffff>;
				interrupts = <0x1 0x1 0x1 0x0>;
				phandle = <0x5d>;
				pinctrl-0 = <0x7>;
				pinctrl-1 = <0x8>;
				pinctrl-2 = <0x9>;
				pinctrl-3 = <0xa>;
				pinctrl-4 = <0xb>;
				pinctrl-names = "tran_fp_default", "tran_fp_pin_irq", "tran_fp_irq_pull_down", "tran_fp_reset_high", "tran_fp_reset_low";
				status = "okay";
			};

			flashlights_aw36515 {
				compatible = "mediatek,flashlights_aw36515";
				phandle = <0x52>;
				pinctrl-0 = <0x4>;
				pinctrl-1 = <0x5>;
				pinctrl-2 = <0x6>;
				pinctrl-names = "aw36515default", "aw36515hwen_high", "aw36515hwen_low";
				status = "okay";
			};

			led@0 {
				compatible = "mediatek,red";
				data = <0x1>;
				led_mode = <0x0>;
				phandle = <0x53>;
				pwm_config = <0x0 0x0 0x0 0x0 0x0>;
			};

			led@1 {
				compatible = "mediatek,green";
				data = <0x1>;
				led_mode = <0x0>;
				phandle = <0x54>;
				pwm_config = <0x0 0x0 0x0 0x0 0x0>;
			};

			led@2 {
				compatible = "mediatek,blue";
				data = <0x1>;
				led_mode = <0x0>;
				phandle = <0x55>;
				pwm_config = <0x0 0x0 0x0 0x0 0x0>;
			};

			led@3 {
				compatible = "mediatek,jogball-backlight";
				data = <0x1>;
				led_mode = <0x0>;
				phandle = <0x56>;
				pwm_config = <0x0 0x0 0x0 0x0 0x0>;
			};

			led@4 {
				compatible = "mediatek,keyboard-backlight";
				data = <0x1>;
				led_mode = <0x0>;
				phandle = <0x57>;
				pwm_config = <0x0 0x0 0x0 0x0 0x0>;
			};

			led@5 {
				compatible = "mediatek,button-backlight";
				data = <0x1>;
				led_mode = <0x0>;
				phandle = <0x58>;
				pwm_config = <0x0 0x0 0x0 0x0 0x0>;
			};

			led@6 {
				compatible = "mediatek,lcd-backlight";
				data = <0x1>;
				led_mode = <0x5>;
				phandle = <0x59>;
				pwm_config = <0x1 0x0 0x0 0x0 0x0>;
			};

			tran_audio {
				compatible = "tran_audio,audio";
				dual_speaker_gpio = <0xffffffff 0xa5 0x0>;
				fs_extamp_gpio = <0xffffffff 0xa4 0x0>;
				fs_extamp_mode = <0x6>;
				fs_extamp_speech_mode = <0x6>;
				fs_receiver_mode = <0x3>;
				phandle = <0x5c>;
			};

			usb_c_pinctrl {
				compatible = "mediatek,usb_c_pinctrl";
				phandle = <0x5b>;
			};

			vibrator@0 {
				compatible = "mediatek,vibrator";
				phandle = <0x5a>;
				vib_limit = <0x9>;
				vib_timer = <0x19>;
				vib_vol = <0xb>;
			};
		};
	};

	fragment@30 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;
		};
	};

	fragment@31 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;

			camera_main@10 {
				compatible = "mediatek,camera_main";
				phandle = <0x62>;
				reg = <0x10>;
				status = "okay";
			};

			camera_main_af@0c {
				compatible = "mediatek,camera_main_af";
				phandle = <0x63>;
				reg = <0xc>;
				status = "okay";
			};

			camera_sub@36 {
				compatible = "mediatek,camera_sub";
				phandle = <0x61>;
				reg = <0x36>;
				status = "okay";
			};
		};
	};

	fragment@32 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;

			nfc@08 {
				compatible = "mediatek,nfc";
				phandle = <0x64>;
				reg = <0x8>;
				status = "okay";
			};

			strobe_main@63 {
				compatible = "mediatek,strobe_main";
				phandle = <0x65>;
				reg = <0x63>;
				status = "okay";
			};
		};
	};

	fragment@33 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;

			camera_sub_two@10 {
				compatible = "mediatek,camera_sub_two";
				phandle = <0x66>;
				reg = <0x10>;
				status = "okay";
			};
		};
	};

	fragment@34 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-push-pull;

			subpmic_pmu@34 {
				compatible = "mediatek,subpmic_pmu";
				phandle = <0x67>;
				reg = <0x34>;
				status = "okay";
			};
		};
	};

	fragment@35 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;

			i2c_lcd_bias@3e {
				compatible = "mediatek,i2c_lcd_bias";
				phandle = <0x68>;
				reg = <0x3e>;
				status = "okay";
			};
		};
	};

	fragment@36 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;
		};
	};

	fragment@37 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;

			camera_main_two@10 {
				compatible = "mediatek,camera_main_two";
				phandle = <0x69>;
				reg = <0x10>;
				status = "okay";
			};
		};
	};

	fragment@38 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;
		};
	};

	fragment@39 {
		target = <0xffffffff>;

		__overlay__ {
			GPIO_SIM1_HOT_PLUG = <0xffffffff 0x1b 0x0>;
			GPIO_SIM1_SCLK = <0xffffffff 0x5b 0x0>;
			GPIO_SIM1_SIO = <0xffffffff 0x5d 0x0>;
			GPIO_SIM1_SRST = <0xffffffff 0x5c 0x0>;
			GPIO_SIM2_SCLK = <0xffffffff 0x5e 0x0>;
			GPIO_SIM2_SIO = <0xffffffff 0x60 0x0>;
			GPIO_SIM2_SRST = <0xffffffff 0x5f 0x0>;
		};
	};

	fragment@4 {
		target = <0xffffffff>;

		__overlay__ {

			fingerprint@0 {
				compatible = "tran_fp";
				debounce = <0x1 0x0>;
				interrupt-parent = <0xffffffff>;
				interrupts = <0x1 0x1 0x1 0x0>;
				irq-gpio = <0x1>;
				irq-gpio-std = <0xffffffff 0x1 0x0>;
				pinctrl-0 = <0x7>;
				pinctrl-1 = <0x8>;
				pinctrl-2 = <0x9>;
				pinctrl-3 = <0xa>;
				pinctrl-4 = <0xb>;
				pinctrl-5 = <0xc>;
				pinctrl-names = "tran_fp_default", "tran_fp_pin_irq", "tran_fp_irq_pull_down", "tran_fp_reset_high", "tran_fp_reset_low", "tran_fp_spi_default";
				reg = <0x0>;
				reset-gpio = <0x7>;
				reset-gpio-std = <0xffffffff 0x7 0x0>;
				spi-max-frequency = <0x19bfcc0>;
				status = "okay";
				tran,gpio_pwr = <0x43>;
				tran,gpio_pwr-std = <0xffffffff 0x43 0x0>;
			};
		};
	};

	fragment@40 {
		target = <0xffffffff>;

		__overlay__ {
			gpio_init_default = <0x0 0x0 0x0 0x0 0x1 0x1 0x1 0x1 0x0 0x0 0x0 0x1 0x0 0x1 0x2 0x0 0x0 0x0 0x1 0x0 0x1 0x3 0x0 0x0 0x0 0x1 0x0 0x1 0x4 0x0 0x0 0x0 0x1 0x1 0x1 0x5 0x0 0x0 0x0 0x1 0x0 0x1 0x6 0x0 0x0 0x0 0x1 0x1 0x1 0x7 0x0 0x1 0x0 0x1 0x0 0x1 0x8 0x0 0x0 0x0 0x1 0x1 0x1 0x9 0x0 0x0 0x0 0x1 0x1 0x1 0xa 0x0 0x0 0x0 0x1 0x0 0x1 0xb 0x0 0x0 0x0 0x1 0x1 0x1 0xc 0x0 0x0 0x0 0x1 0x0 0x1 0xd 0x2 0x0 0x0 0x0 0x0 0x0 0xe 0x2 0x0 0x0 0x1 0x0 0x0 0xf 0x0 0x0 0x0 0x1 0x1 0x0 0x10 0x0 0x1 0x1 0x1 0x0 0x0 0x11 0x0 0x0 0x0 0x1 0x0 0x0 0x12 0x0 0x1 0x0 0x1 0x0 0x0 0x13 0x0 0x1 0x0 0x1 0x0 0x0 0x14 0x0 0x1 0x0 0x1 0x0 0x0 0x15 0x0 0x1 0x1 0x1 0x0 0x0 0x16 0x0 0x1 0x0 0x1 0x0 0x0 0x17 0x0 0x1 0x1 0x1 0x0 0x0 0x18 0x0 0x1 0x0 0x1 0x0 0x0 0x19 0x0 0x1 0x0 0x1 0x0 0x0 0x1a 0x0 0x1 0x0 0x1 0x0 0x0 0x1b 0x1 0x0 0x0 0x1 0x1 0x0 0x1c 0x0 0x0 0x0 0x1 0x0 0x0 0x1d 0x0 0x0 0x0 0x1 0x0 0x0 0x1e 0x0 0x0 0x0 0x1 0x0 0x0 0x1f 0x1 0x0 0x0 0x1 0x0 0x1 0x20 0x1 0x0 0x0 0x1 0x1 0x0 0x21 0x1 0x0 0x0 0x0 0x0 0x0 0x22 0x0 0x1 0x0 0x1 0x0 0x1 0x23 0x0 0x1 0x0 0x1 0x0 0x1 0x24 0x1 0x0 0x0 0x0 0x0 0x0 0x25 0x1 0x0 0x0 0x0 0x0 0x0 0x26 0x1 0x0 0x0 0x0 0x0 0x0 0x27 0x1 0x0 0x0 0x1 0x0 0x0 0x28 0x1 0x0 0x0 0x0 0x0 0x0 0x29 0x1 0x0 0x0 0x0 0x0 0x0 0x2a 0x1 0x0 0x0 0x0 0x0 0x0 0x2b 0x1 0x0 0x0 0x1 0x0 0x0 0x2c 0x2 0x0 0x0 0x0 0x0 0x0 0x2d 0x2 0x0 0x0 0x0 0x0 0x1 0x2e 0x2 0x0 0x0 0x0 0x0 0x0 0x2f 0x2 0x0 0x0 0x1 0x0 0x1 0x30 0x1 0x0 0x0 0x1 0x1 0x0 0x31 0x1 0x0 0x0 0x1 0x1 0x0 0x32 0x1 0x0 0x0 0x1 0x0 0x0 0x33 0x1 0x0 0x0 0x1 0x0 0x0 0x34 0x6 0x0 0x0 0x1 0x0 0x0 0x35 0x6 0x0 0x0 0x1 0x0 0x0 0x36 0x0 0x1 0x0 0x1 0x0 0x0 0x37 0x6 0x0 0x0 0x1 0x0 0x0 0x38 0x2 0x0 0x0 0x0 0x0 0x1 0x39 0x0 0x1 0x0 0x1 0x0 0x1 0x3a 0x2 0x0 0x0 0x0 0x0 0x1 0x3b 0x2 0x0 0x0 0x1 0x0 0x1 0x3c 0x3 0x0 0x0 0x1 0x0 0x0 0x3d 0x0 0x1 0x0 0x1 0x0 0x0 0x3e 0x6 0x0 0x0 0x1 0x1 0x0 0x3f 0x6 0x0 0x0 0x1 0x0 0x0 0x40 0x0 0x1 0x0 0x1 0x0 0x0 0x41 0x6 0x0 0x0 0x1 0x0 0x0 0x42 0x0 0x1 0x0 0x1 0x0 0x0 0x43 0x6 0x0 0x0 0x1 0x0 0x0 0x50 0x1 0x0 0x0 0x1 0x1 0x1 0x51 0x1 0x0 0x0 0x1 0x1 0x1 0x52 0x0 0x0 0x0 0x1 0x0 0x1 0x53 0x0 0x0 0x0 0x1 0x1 0x1 0x55 0x1 0x0 0x0 0x1 0x0 0x1 0x56 0x1 0x0 0x0 0x1 0x0 0x1 0x57 0x1 0x0 0x0 0x1 0x0 0x1 0x58 0x1 0x0 0x0 0x1 0x0 0x1 0x59 0x1 0x0 0x0 0x1 0x0 0x1 0x5a 0x1 0x0 0x0 0x1 0x0 0x1 0x5b 0x1 0x0 0x0 0x0 0x0 0x1 0x5c 0x1 0x0 0x0 0x0 0x0 0x1 0x5d 0x1 0x0 0x0 0x1 0x1 0x1 0x5e 0x1 0x0 0x0 0x0 0x0 0x1 0x5f 0x1 0x0 0x0 0x0 0x0 0x1 0x60 0x1 0x0 0x0 0x1 0x1 0x1 0x61 0x1 0x0 0x0 0x1 0x0 0x0 0x62 0x1 0x0 0x0 0x0 0x0 0x1 0x63 0x0 0x1 0x0 0x1 0x0 0x0 0x64 0x1 0x0 0x0 0x1 0x0 0x0 0x65 0x1 0x0 0x0 0x1 0x0 0x0 0x66 0x1 0x0 0x0 0x1 0x0 0x0 0x67 0x1 0x0 0x0 0x1 0x0 0x0 0x68 0x1 0x0 0x0 0x1 0x0 0x0 0x69 0x1 0x0 0x0 0x1 0x0 0x0 0x6a 0x1 0x0 0x0 0x1 0x0 0x0 0x6b 0x1 0x0 0x0 0x1 0x0 0x0 0x6c 0x1 0x0 0x0 0x1 0x0 0x1 0x6d 0x1 0x0 0x0 0x1 0x0 0x1 0x6e 0x1 0x0 0x0 0x1 0x0 0x1 0x6f 0x1 0x0 0x0 0x1 0x0 0x1 0x70 0x1 0x0 0x0 0x1 0x0 0x1 0x71 0x1 0x0 0x0 0x1 0x0 0x1 0x72 0x1 0x0 0x0 0x1 0x0 0x1 0x73 0x1 0x0 0x0 0x1 0x0 0x1 0x74 0x1 0x0 0x0 0x1 0x0 0x1 0x75 0x1 0x0 0x0 0x1 0x1 0x0 0x76 0x2 0x0 0x0 0x1 0x1 0x0 0x77 0x1 0x0 0x0 0x1 0x0 0x0 0x78 0x1 0x0 0x0 0x1 0x0 0x0 0x79 0x1 0x0 0x0 0x1 0x0 0x1 0x7a 0x1 0x0 0x0 0x1 0x0 0x1 0x7b 0x1 0x0 0x0 0x1 0x0 0x1 0x7c 0x1 0x0 0x0 0x1 0x0 0x0 0x7d 0x1 0x0 0x0 0x1 0x0 0x1 0x7e 0x1 0x0 0x0 0x1 0x0 0x0 0x7f 0x1 0x0 0x0 0x1 0x0 0x0 0x80 0x1 0x0 0x0 0x1 0x0 0x0 0x81 0x1 0x0 0x0 0x1 0x0 0x0 0x82 0x1 0x0 0x0 0x1 0x0 0x0 0x83 0x1 0x0 0x0 0x1 0x0 0x0 0x84 0x1 0x0 0x0 0x1 0x0 0x0 0x85 0x1 0x0 0x0 0x1 0x0 0x0 0x86 0x1 0x0 0x0 0x1 0x0 0x0 0x87 0x1 0x0 0x0 0x1 0x0 0x0 0x88 0x1 0x0 0x0 0x1 0x0 0x0 0x89 0x1 0x0 0x0 0x1 0x0 0x0 0x8a 0x1 0x0 0x0 0x1 0x0 0x0 0x8b 0x1 0x0 0x0 0x1 0x0 0x0 0x8c 0x1 0x0 0x0 0x1 0x0 0x0 0x8d 0x1 0x0 0x0 0x1 0x0 0x0 0x8e 0x1 0x0 0x0 0x1 0x0 0x0 0x8f 0x1 0x0 0x0 0x1 0x0 0x0 0x90 0x1 0x0 0x0 0x1 0x1 0x1 0x91 0x1 0x0 0x0 0x1 0x1 0x1 0x92 0x2 0x0 0x0 0x1 0x1 0x1 0x93 0x2 0x0 0x0 0x1 0x1 0x1 0x94 0x1 0x0 0x0 0x1 0x1 0x1 0x95 0x1 0x0 0x0 0x1 0x1 0x1 0x96 0x1 0x0 0x0 0x1 0x1 0x1 0x97 0x1 0x0 0x0 0x1 0x1 0x1 0x98 0x1 0x0 0x0 0x1 0x1 0x1 0x99 0x1 0x0 0x0 0x1 0x1 0x1 0x9a 0x1 0x0 0x0 0x1 0x1 0x1 0x9b 0x1 0x0 0x0 0x1 0x1 0x1 0x9c 0x1 0x0 0x0 0x1 0x1 0x1 0x9d 0x1 0x0 0x0 0x1 0x1 0x1 0x9e 0x1 0x0 0x0 0x1 0x0 0x1 0x9f 0x1 0x0 0x0 0x1 0x0 0x0 0xa0 0x1 0x0 0x0 0x1 0x1 0x1 0xa1 0x1 0x0 0x0 0x1 0x1 0x1 0xa2 0x1 0x0 0x0 0x1 0x1 0x1 0xa3 0x1 0x0 0x0 0x1 0x1 0x1 0xa4 0x0 0x1 0x0 0x1 0x0 0x1 0xa5 0x0 0x1 0x0 0x1 0x0 0x1 0xa6 0x0 0x1 0x0 0x1 0x0 0x1 0xa7 0x0 0x1 0x0 0x1 0x0 0x1 0xa8 0x0 0x1 0x0 0x1 0x0 0x1 0xa9 0x0 0x1 0x0 0x1 0x0 0x1 0xaa 0x0 0x1 0x0 0x1 0x0 0x1 0xab 0x0 0x1 0x0 0x1 0x0 0x1 0xac 0x0 0x1 0x0 0x0 0x0 0x0 0xad 0x0 0x1 0x0 0x1 0x0 0x1 0xae 0x1 0x0 0x0 0x0 0x0 0x1 0xaf 0x1 0x0 0x0 0x0 0x0 0x1 0xb0 0x1 0x0 0x0 0x1 0x0 0x1 0xb1 0x1 0x0 0x0 0x1 0x0 0x1 0xb2 0x1 0x0 0x0 0x0 0x0 0x0 0xb3 0x1 0x0 0x0 0x0 0x0 0x0 0xb4 0x1 0x0 0x0 0x0 0x0 0x1 0xb5 0x1 0x0 0x0 0x1 0x0 0x1 0xb6 0x1 0x0 0x0 0x0 0x0 0x0 0xb7 0x1 0x0 0x0 0x0 0x0 0x1 0xb8 0x1 0x0 0x0 0x0 0x0 0x1 0xb9 0x1 0x0 0x0 0x0 0x0 0x1 0xba 0x1 0x0 0x0 0x0 0x0 0x1 0xbb 0x1 0x0 0x0 0x1 0x0 0x1 0xbc 0x1 0x0 0x0 0x1 0x0 0x1 0xbd 0x1 0x0 0x0 0x1 0x0 0x1 0xbe 0x1 0x0 0x0 0x1 0x0 0x1 0xbf 0x0 0x0 0x0 0x1 0x0 0x0 0xc0 0x0 0x0 0x0 0x1 0x0 0x0 0xc1 0x0 0x0 0x0 0x1 0x0 0x0 0xc2 0x0 0x0 0x0 0x1 0x0 0x0 0xc3 0x0 0x0 0x0 0x1 0x0 0x0 0xc4 0x0 0x0 0x0 0x1 0x0 0x0 0xc5 0x0 0x0 0x0 0x1 0x0 0x0 0xc6 0x0 0x0 0x0 0x1 0x0 0x0 0xc7 0x0 0x0 0x0 0x1 0x0 0x0 0xc8 0x0 0x0 0x0 0x1 0x0 0x0 0xc9 0x0 0x0 0x0 0x1 0x0 0x0 0xca 0x0 0x0 0x0 0x1 0x0 0x0 0xcb 0x0 0x0 0x0 0x1 0x0 0x0 0xcc 0x0 0x0 0x0 0x1 0x0 0x0 0xcd 0x0 0x0 0x0 0x1 0x0 0x0 0xce 0x0 0x0 0x0 0x1 0x0 0x0 0xcf 0x0 0x0 0x0 0x1 0x0 0x0 0xd0 0x0 0x0 0x0 0x1 0x0 0x0 0xd1 0x0 0x0 0x0 0x1 0x0 0x0 0xd2 0x0 0x0 0x0 0x1 0x0 0x0 0xd3 0x0 0x0 0x0 0x1 0x0 0x0 0xd4 0x0 0x0 0x0 0x1 0x0 0x0 0xd5 0x0 0x0 0x0 0x1 0x0 0x0 0xd6 0x0 0x0 0x0 0x1 0x0 0x0 0xd7 0x0 0x0 0x0 0x1 0x0 0x0 0xd8 0x0 0x0 0x0 0x1 0x0 0x0 0xd9 0x0 0x0 0x0 0x1 0x0 0x0 0xda 0x0 0x0 0x0 0x1 0x0 0x0 0xdb 0x0 0x0 0x0 0x1 0x0 0x0 0xdc 0x0 0x0 0x0 0x1 0x0 0x0 0xdd 0x0 0x0 0x0 0x1 0x0 0x0>;
		};
	};

	fragment@41 {
		target = <0xffffffff>;

		__overlay__ {
			interrupt-parent = <0xffffffff>;
			interrupts = <0x0 0x8>;
			status = "okay";
		};
	};

	fragment@42 {
		target = <0xffffffff>;

		__overlay__ {
			deb-gpios = <0xffffffff 0x9 0x0>;
			debounce = <0x186a0>;
			interrupt-parent = <0xffffffff>;
			interrupts = <0x9 0x4>;
			status = "okay";
		};
	};

	fragment@43 {
		target = <0xffffffff>;

		__overlay__ {
			interrupt-parent = <0xffffffff>;
			interrupts = <0xf 0x2>;
			status = "okay";
		};
	};

	fragment@44 {
		target = <0xffffffff>;

		__overlay__ {
			interrupt-parent = <0xffffffff>;
			interrupts = <0x61 0x1>;
			status = "okay";
		};
	};

	fragment@45 {
		target = <0xffffffff>;

		__overlay__ {
			compatible = "mediatek,md1_sim1_hot_plug_eint-eint";
			debounce = <0x0 0x4e20>;
			dedicated = <0x0 0x0>;
			interrupts = <0x0 0x8>;
			sockettype = <0x0 0x0>;
			src_pin = <0x0 0x1>;
			status = "okay";
		};
	};

	fragment@46 {
		target = <0xffffffff>;

		__overlay__ {
			mediatek,kpd-hw-dl-key0 = <0x0>;
			mediatek,kpd-hw-dl-key1 = <0x1>;
			mediatek,kpd-hw-dl-key2 = <0x8>;
			mediatek,kpd-hw-factory-key = <0x1>;
			mediatek,kpd-hw-init-map = <0x73 0x72 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0>;
			mediatek,kpd-hw-map-num = <0x48>;
			mediatek,kpd-hw-pwrkey = <0x8>;
			mediatek,kpd-hw-recovery-key = <0x0>;
			mediatek,kpd-key-debounce = <0x400>;
			mediatek,kpd-pwkey-gpio-din = <0x0>;
			mediatek,kpd-pwrkey-eint-gpio = <0x0>;
			mediatek,kpd-sw-pwrkey = <0x74>;
			mediatek,kpd-use-extend-type = <0x0>;
			status = "okay";
		};
	};

	fragment@47 {
		target = <0xffffffff>;

		__overlay__ {

			cam0@0 {
				phandle = <0x24>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x1400>;
					slew-rate = <0x1>;
				};
			};

			cam0@1 {
				phandle = <0x25>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x1400>;
					slew-rate = <0x1>;
				};
			};

			cam0@vcam0 {
				phandle = <0x32>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x3600>;
					slew-rate = <0x1>;
				};
			};

			cam0@vcam1 {
				phandle = <0x33>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x3600>;
					slew-rate = <0x1>;
				};
			};

			cam1@0 {
				phandle = <0x26>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x1200>;
					slew-rate = <0x1>;
				};
			};

			cam1@1 {
				phandle = <0x27>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x1200>;
					slew-rate = <0x1>;
				};
			};

			cam1@vcam0 {
				phandle = <0x34>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x3600>;
					slew-rate = <0x1>;
				};
			};

			cam1@vcam1 {
				phandle = <0x35>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x3600>;
					slew-rate = <0x1>;
				};
			};

			cam2@0 {
				phandle = <0x28>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x1a00>;
					slew-rate = <0x1>;
				};
			};

			cam2@1 {
				phandle = <0x29>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x1a00>;
					slew-rate = <0x1>;
				};
			};

			cam2@2 {
				phandle = <0x2a>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x1900>;
					slew-rate = <0x1>;
				};
			};

			cam2@3 {
				phandle = <0x2b>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x1900>;
					slew-rate = <0x1>;
				};
			};

			cam2@vcam0 {
				phandle = <0x36>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x3600>;
					slew-rate = <0x1>;
				};
			};

			cam2@vcam1 {
				phandle = <0x37>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x3600>;
					slew-rate = <0x1>;
				};
			};

			cam2@vcam2 {
				phandle = <0x30>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x3700>;
					slew-rate = <0x1>;
				};
			};

			cam2@vcam3 {
				phandle = <0x31>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x3700>;
					slew-rate = <0x1>;
				};
			};

			cam3@0 {
				phandle = <0x2c>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x1600>;
					slew-rate = <0x1>;
				};
			};

			cam3@1 {
				phandle = <0x2d>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x1600>;
					slew-rate = <0x1>;
				};
			};

			cam3@2 {
				phandle = <0x2e>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x1300>;
					slew-rate = <0x1>;
				};
			};

			cam3@3 {
				phandle = <0x2f>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x1300>;
					slew-rate = <0x1>;
				};
			};

			cam3@vcam0 {
				phandle = <0x38>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x3600>;
					slew-rate = <0x1>;
				};
			};

			cam3@vcam1 {
				phandle = <0x39>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x3600>;
					slew-rate = <0x1>;
				};
			};

			camdefault {
				phandle = <0x23>;
			};

			camera_pins_cam0_mclk_2ma {
				phandle = <0x3b>;

				pins_cmd_dat {
					drive-strength = <0x0>;
					pinmux = <0x8d01>;
				};
			};

			camera_pins_cam0_mclk_4ma {
				phandle = <0x3c>;

				pins_cmd_dat {
					drive-strength = <0x1>;
					pinmux = <0x8d01>;
				};
			};

			camera_pins_cam0_mclk_6ma {
				phandle = <0x3d>;

				pins_cmd_dat {
					drive-strength = <0x2>;
					pinmux = <0x8d01>;
				};
			};

			camera_pins_cam0_mclk_8ma {
				phandle = <0x3e>;

				pins_cmd_dat {
					drive-strength = <0x3>;
					pinmux = <0x8d01>;
				};
			};

			camera_pins_cam0_mclk_off {
				phandle = <0x3a>;

				pins_cmd_dat {
					drive-strength = <0x1>;
					pinmux = <0x8d00>;
				};
			};

			camera_pins_cam1_mclk_2ma {
				phandle = <0x40>;

				pins_cmd_dat {
					drive-strength = <0x0>;
					pinmux = <0x8c01>;
				};
			};

			camera_pins_cam1_mclk_4ma {
				phandle = <0x41>;

				pins_cmd_dat {
					drive-strength = <0x1>;
					pinmux = <0x8c01>;
				};
			};

			camera_pins_cam1_mclk_6ma {
				phandle = <0x42>;

				pins_cmd_dat {
					drive-strength = <0x2>;
					pinmux = <0x8c01>;
				};
			};

			camera_pins_cam1_mclk_8ma {
				phandle = <0x43>;

				pins_cmd_dat {
					drive-strength = <0x3>;
					pinmux = <0x8c01>;
				};
			};

			camera_pins_cam1_mclk_off {
				phandle = <0x3f>;

				pins_cmd_dat {
					drive-strength = <0x1>;
					pinmux = <0x8c00>;
				};
			};

			camera_pins_cam2_mclk_2ma {
				phandle = <0x45>;

				pins_cmd_dat {
					drive-strength = <0x0>;
					pinmux = <0x3c03>;
				};
			};

			camera_pins_cam2_mclk_4ma {
				phandle = <0x46>;

				pins_cmd_dat {
					drive-strength = <0x1>;
					pinmux = <0x3c03>;
				};
			};

			camera_pins_cam2_mclk_6ma {
				phandle = <0x47>;

				pins_cmd_dat {
					drive-strength = <0x2>;
					pinmux = <0x3c03>;
				};
			};

			camera_pins_cam2_mclk_8ma {
				phandle = <0x48>;

				pins_cmd_dat {
					drive-strength = <0x3>;
					pinmux = <0x3c03>;
				};
			};

			camera_pins_cam2_mclk_off {
				phandle = <0x44>;

				pins_cmd_dat {
					drive-strength = <0x1>;
					pinmux = <0x3c00>;
				};
			};

			camera_pins_cam3_mclk_2ma {
				phandle = <0x4a>;

				pins_cmd_dat {
					drive-strength = <0x0>;
					pinmux = <0x8e01>;
				};
			};

			camera_pins_cam3_mclk_4ma {
				phandle = <0x4b>;

				pins_cmd_dat {
					drive-strength = <0x1>;
					pinmux = <0x8e01>;
				};
			};

			camera_pins_cam3_mclk_6ma {
				phandle = <0x4c>;

				pins_cmd_dat {
					drive-strength = <0x2>;
					pinmux = <0x8e01>;
				};
			};

			camera_pins_cam3_mclk_8ma {
				phandle = <0x4d>;

				pins_cmd_dat {
					drive-strength = <0x3>;
					pinmux = <0x8e01>;
				};
			};

			camera_pins_cam3_mclk_off {
				phandle = <0x49>;

				pins_cmd_dat {
					drive-strength = <0x1>;
					pinmux = <0x8e00>;
				};
			};
		};
	};

	fragment@48 {
		target = <0xffffffff>;

		__overlay__ {
			cam0_enable_sensor = "s5kjn1_mipi_raw";
			cam1_enable_sensor = "s5k4h7_mipi_raw";
			cam2_enable_sensor = "gc02m1_mipi_raw";
			cam3_enable_sensor = "gc02m1macro_mipi_raw";
			pinctrl-0 = <0x23>;
			pinctrl-1 = <0x24>;
			pinctrl-10 = <0x2d>;
			pinctrl-11 = <0x2e>;
			pinctrl-12 = <0x2f>;
			pinctrl-13 = <0x30>;
			pinctrl-14 = <0x31>;
			pinctrl-15 = <0x32>;
			pinctrl-16 = <0x33>;
			pinctrl-17 = <0x34>;
			pinctrl-18 = <0x35>;
			pinctrl-19 = <0x36>;
			pinctrl-2 = <0x25>;
			pinctrl-20 = <0x37>;
			pinctrl-21 = <0x38>;
			pinctrl-22 = <0x39>;
			pinctrl-23 = <0x3a>;
			pinctrl-24 = <0x3b>;
			pinctrl-25 = <0x3c>;
			pinctrl-26 = <0x3d>;
			pinctrl-27 = <0x3e>;
			pinctrl-28 = <0x3f>;
			pinctrl-29 = <0x40>;
			pinctrl-3 = <0x26>;
			pinctrl-30 = <0x41>;
			pinctrl-31 = <0x42>;
			pinctrl-32 = <0x43>;
			pinctrl-33 = <0x44>;
			pinctrl-34 = <0x45>;
			pinctrl-35 = <0x46>;
			pinctrl-36 = <0x47>;
			pinctrl-37 = <0x48>;
			pinctrl-38 = <0x49>;
			pinctrl-39 = <0x4a>;
			pinctrl-4 = <0x27>;
			pinctrl-40 = <0x4b>;
			pinctrl-41 = <0x4c>;
			pinctrl-42 = <0x4d>;
			pinctrl-5 = <0x28>;
			pinctrl-6 = <0x29>;
			pinctrl-7 = <0x2a>;
			pinctrl-8 = <0x2b>;
			pinctrl-9 = <0x2c>;
			pinctrl-names = "default", "cam0_rst0", "cam0_rst1", "cam1_rst0", "cam1_rst1", "cam2_rst0", "cam2_rst1", "cam2_pnd0", "cam2_pnd1", "cam3_rst0", "cam3_rst1", "cam3_pnd0", "cam3_pnd1", "cam2_ldo_vcamd_0", "cam2_ldo_vcamd_1", "cam0_ldo_vcamio_0", "cam0_ldo_vcamio_1", "cam1_ldo_vcamio_0", "cam1_ldo_vcamio_1", "cam2_ldo_vcamio_0", "cam2_ldo_vcamio_1", "cam3_ldo_vcamio_0", "cam3_ldo_vcamio_1", "cam0_mclk_off", "cam0_mclk_2mA", "cam0_mclk_4mA", "cam0_mclk_6mA", "cam0_mclk_8mA", "cam1_mclk_off", "cam1_mclk_2mA", "cam1_mclk_4mA", "cam1_mclk_6mA", "cam1_mclk_8mA", "cam2_mclk_off", "cam2_mclk_2mA", "cam2_mclk_4mA", "cam2_mclk_6mA", "cam2_mclk_8mA", "cam3_mclk_off", "cam3_mclk_2mA", "cam3_mclk_4mA", "cam3_mclk_6mA", "cam3_mclk_8mA";
			status = "okay";
		};
	};

	fragment@49 {
		target = <0xffffffff>;

		__overlay__ {

			camera_eeprom0@50 {
				compatible = "mediatek,camera_eeprom";
				phandle = <0x6a>;
				reg = <0x50>;
				status = "okay";
			};
		};
	};

	fragment@5 {
		target = <0xffffffff>;

		__overlay__ {

			fingerprint_default {
				phandle = <0x7>;
			};

			gpio1_eint {
				phandle = <0x8>;

				pins_cmd_dat {
					bias-disable;
					pinmux = <0x100>;
					slew-rate = <0x0>;
				};
			};

			gpio1_eint_pull_down {
				phandle = <0x9>;

				pins_cmd_dat {
					bias-pull-down = <0x0>;
					output-low;
					pinmux = <0x100>;
					slew-rate = <0x0>;
				};
			};

			rst_out_one {
				phandle = <0xa>;

				pins_cmd_dat {
					bias-disable;
					output-high;
					pinmux = <0x700>;
					slew-rate = <0x1>;
				};
			};

			rst_out_zero {
				phandle = <0xb>;

				pins_cmd_dat {
					bias-disable;
					output-low;
					pinmux = <0x700>;
					slew-rate = <0x1>;
				};
			};

			spimode_default {
				phandle = <0xc>;

				pins_cmd_dat {
					pinmux = <0x2701 0x2601 0x2501 0x2401>;
				};
			};
		};
	};

	fragment@50 {
		target = <0xffffffff>;

		__overlay__ {

			camera_eeprom1@51 {
				compatible = "mediatek,camera_eeprom";
				phandle = <0x6b>;
				reg = <0x51>;
				status = "okay";
			};
		};
	};

	fragment@51 {
		target = <0xffffffff>;

		__overlay__ {

			camaf_default {
				phandle = <0x4e>;
			};

			camaf_m1_gpio_off {
				phandle = <0x50>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x4200>;
					slew-rate = <0x1>;
				};
			};

			camaf_m1_gpio_on {
				phandle = <0x4f>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x4200>;
					slew-rate = <0x1>;
				};
			};
		};
	};

	fragment@52 {
		target = <0xffffffff>;

		__overlay__ {
			pinctrl-0 = <0x4e>;
			pinctrl-1 = <0x4f>;
			pinctrl-2 = <0x50>;
			pinctrl-names = "camaf_default", "camaf_m1_gpio_on", "camaf_m1_gpio_off";
			status = "okay";
		};
	};

	fragment@53 {
		target = <0xffffffff>;

		__overlay__ {

			extldo_en_high {
				phandle = <0x2>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x3d00>;
				};
			};

			extldo_en_low {
				phandle = <0x3>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x3d00>;
				};
			};

			extldodefault {
				phandle = <0x1>;
			};
		};
	};

	fragment@54 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x1>;
			#size-cells = <0x0>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;

			cam_vdd_ext@28 {
				compatible = "mediatek,cam_vdd_ext";
				reg = <0x28>;
				status = "okay";
			};
		};
	};

	fragment@55 {
		target = <0xffffffff>;

		__overlay__ {

			aw36515default {
				phandle = <0x4>;
			};

			aw36515hwen_high {
				phandle = <0x5>;

				pins_cmd_dat {
					output-high;
					pinmux = <0xa800>;
					slew-rate = <0x1>;
				};
			};

			aw36515hwen_low {
				phandle = <0x6>;

				pins_cmd_dat {
					output-low;
					pinmux = <0xa800>;
					slew-rate = <0x1>;
				};
			};
		};
	};

	fragment@6 {
		target = <0xffffffff>;

		__overlay__ {

			touch@0 {
				compatible = "novatek,NVT-ts-spi";
				novatek,mp-support-dt;
				novatek,spi-rd-fast-addr = <0x3f310>;
				novatek,swrst-n8-addr = <0x3f0fe>;
				phandle = <0x5e>;
				reg = <0x0>;
				spi-max-frequency = <0x7a1200>;
				status = "okay";

				novatek-mp-criteria-6286@0 {
					#address-cells = <0x1>;
					#size-cells = <0x0>;
					AIN_KEY = <0x0 0x1 0x2 0xff>;
					AIN_X = <0x0 0x1 0x2 0x3 0x4 0x5 0x6 0x7 0x8 0x9 0xa 0xb 0xc 0xd 0xe 0xf>;
					AIN_Y = <0x0 0x1 0x2 0x3 0x4 0x5 0x6 0x7 0x8 0x9 0xa 0xb 0xc 0xd 0xe 0xf 0x10 0x11 0x12 0x13 0x14 0x15 0x16 0x17 0x18 0x19 0x1a 0x1b 0x1c 0x1d 0x1e 0x1f 0x20 0x21 0x22 0x23>;
					IC_KEY_CFG_SIZE = <0x4>;
					IC_X_CFG_SIZE = <0x10>;
					IC_Y_CFG_SIZE = <0x24>;
					PS_Config_Diff_Test_Frame = <0x32>;
					PS_Config_Lmt_FW_CC_N = <0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x12 0x12 0x12 0x12 0x12 0x13 0x12 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x13 0x13 0x12 0x12 0x13 0x12 0x12 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x11 0x11 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x13 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x12 0x0 0x0 0x0>;
					PS_Config_Lmt_FW_CC_P = <0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x29 0x29 0x29 0x29 0x29 0x2a 0x29 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x2a 0x2a 0x29 0x29 0x2a 0x29 0x29 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x28 0x28 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x2a 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x29 0x13a 0x13a 0x13a>;
					PS_Config_Lmt_FW_Diff_N = <0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffce 0xffffffb5 0xffffffb5 0xffffffb5>;
					PS_Config_Lmt_FW_Diff_P = <0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x32 0x4b 0x4b 0x4b>;
					PS_Config_Lmt_FW_Rawdata_N = <0x1e2 0x1d6 0x1d8 0x1d8 0x1df 0x1dd 0x1db 0x1d9 0x1e3 0x1e2 0x1df 0x1e1 0x1df 0x1dd 0x1e0 0x1e0 0x1db 0x1d5 0x1d5 0x1d7 0x1d5 0x1d5 0x1d7 0x1dc 0x1de 0x1e1 0x1de 0x1df 0x1df 0x1de 0x1dc 0x1e1 0x1dd 0x1dd 0x1da 0x1dc 0x1de 0x1e0 0x1de 0x1d7 0x1dd 0x1dd 0x1db 0x1db 0x1dd 0x1dc 0x1d8 0x1dc 0x1df 0x1db 0x1d8 0x1da 0x1e1 0x1df 0x1e0 0x1dd 0x1de 0x1e1 0x1e4 0x1dc 0x1e0 0x1e0 0x1df 0x1de 0x1e2 0x1e4 0x1e0 0x1de 0x1e6 0x1e6 0x1e7 0x1e0 0x1dc 0x1dd 0x1db 0x1e0 0x1dc 0x1e0 0x1dd 0x1e4 0x1dd 0x1ea 0x1e5 0x1e3 0x1e9 0x1e1 0x1ec 0x1dc 0x1e4 0x1e5 0x1e4 0x1e4 0x1e8 0x1ea 0x1e8 0x1d5 0x1e3 0x1d4 0x1de 0x1dd 0x1de 0x1e1 0x1e0 0x1dd 0x1df 0x1de 0x1e3 0x1dd 0x1dd 0x1db 0x1db 0x1dd 0x1e3 0x1d8 0x1db 0x1dd 0x1db 0x1da 0x1dd 0x1e3 0x1d8 0x1d9 0x1d7 0x1db 0x1db 0x1dd 0x1db 0x1df 0x1d9 0x1e2 0x1e3 0x1df 0x1e4 0x1e1 0x1e5 0x1e0 0x1d8 0x1db 0x1df 0x1de 0x1de 0x1e0 0x1e0 0x1dd 0x1e4 0x1db 0x1dd 0x1df 0x1db 0x1e0 0x1de 0x1dd 0x1db 0x1db 0x1df 0x1da 0x1de 0x1de 0x1dd 0x1de 0x1e6 0x1db 0x1dd 0x1de 0x1dd 0x1df 0x1e0 0x1e2 0x1e4 0x1e7 0x1df 0x1e4 0x1e7 0x1e7 0x1e6 0x1e9 0x1e1 0x1dc 0x1d9 0x1dd 0x1da 0x1e0 0x1dc 0x1dc 0x1e4 0x1e6 0x1e7 0x1e9 0x1e7 0x1e9 0x1e7 0x1e0 0x1d9 0x1d7 0x1d9 0x1db 0x1dd 0x1dc 0x1dd 0x1da 0x1de 0x1df 0x1db 0x1d9 0x1d9 0x1d7 0x1da 0x1e0 0x1dd 0x1da 0x1d7 0x1d9 0x1d8 0x1db 0x1da 0x1e4 0x1dd 0x1de 0x1e3 0x1e3 0x1e3 0x1e4 0x1e2 0x1db 0x1d7 0x1de 0x1ce 0x1d3 0x1d5 0x1d8 0x1d7 0x1dd 0x1d9 0x1db 0x1dc 0x1dd 0x1dc 0x1dc 0x1dc 0x1dd 0x1da 0x1de 0x1de 0x1de 0x1dd 0x1e0 0x1e1 0x1df 0x1d7 0x1db 0x1db 0x1d7 0x1d4 0x1d7 0x1de 0x1dc 0x1e3 0x1d8 0x1dc 0x1e1 0x1e0 0x1e0 0x1e2 0x1e5 0x1e5 0x1e1 0x1e2 0x1e3 0x1e3 0x1e4 0x1e2 0x1e1 0x1e1 0x1e1 0x1e1 0x1dd 0x1df 0x1e0 0x1e1 0x1d8 0x1ea 0x1ec 0x1e7 0x1ed 0x1e6 0x1e6 0x1e3 0x1dd 0x1de 0x1e6 0x1e9 0x1e7 0x1e1 0x1e3 0x1e5 0x1e4 0x1e1 0x1e1 0x1de 0x1de 0x1e2 0x1e2 0x1e0 0x1da 0x1d6 0x1db 0x1de 0x1de 0x1dd 0x1e2 0x1e0 0x1e1 0x1e2 0x1df 0x1e0 0x1dd 0x1e0 0x1e0 0x1de 0x1dd 0x1db 0x1ea 0x1e9 0x1e8 0x1e8 0x1eb 0x1e8 0x1e7 0x1e1 0x1de 0x1de 0x1e1 0x1db 0x1db 0x1d9 0x1de 0x1dd 0x1d5 0x1d5 0x1d5 0x1de 0x1e1 0x1d7 0x1d7 0x1da 0x1e4 0x1e6 0x1e5 0x1e5 0x1e5 0x1e5 0x1d8 0x1d7 0x1e1 0x1e0 0x1e3 0x1e6 0x1e8 0x1e6 0x1e6 0x1d8 0x1dd 0x1de 0x1e0 0x1d9 0x1db 0x1e1 0x1db 0x1dd 0x1d8 0x1d8 0x1d4 0x1d7 0x1da 0x1d4 0x1d5 0x1dd 0x1e3 0x1e0 0x1e0 0x1dc 0x1de 0x1e0 0x1de 0x1dc 0x1de 0x1e6 0x1e3 0x1e3 0x1e6 0x1ea 0x1e1 0x1e7 0x1e1 0x1e1 0x1e1 0x1e3 0x1e4 0x1e1 0x1da 0x1db 0x1da 0x1d7 0x1da 0x1da 0x1dc 0x1da 0x1db 0x1e2 0x1e1 0x1e2 0x1e1 0x1e1 0x1de 0x1dd 0x1e3 0x1dc 0x1e4 0x1e0 0x1dd 0x1dd 0x1e5 0x1db 0x1dd 0x1dc 0x1dc 0x1e0 0x1dd 0x1dd 0x1dd 0x1de 0x1e3 0x1e3 0x1e1 0x1e1 0x1e3 0x1e0 0x1e0 0x1e1 0x1e4 0x1de 0x1e0 0x1dd 0x1dd 0x1dd 0x1d8 0x1d8 0x1e3 0x1d5 0x1df 0x1e3 0x1e4 0x1ea 0x1e9 0x1ed 0x1ea 0x1df 0x1e0 0x1df 0x1de 0x1dd 0x1e1 0x1e2 0x1dd 0x1dd 0x1da 0x1db 0x1dd 0x1df 0x1e3 0x1de 0x1e0 0x1e3 0x1d5 0x1d8 0x1d8 0x1da 0x1de 0x1d9 0x1dd 0x1de 0x1db 0x1e0 0x1dd 0x1dc 0x1de 0x1dd 0x1dc 0x1e7 0x1ea 0x1e7 0x1e6 0x1e7 0x1e3 0x1e8 0x1dd 0x1dc 0x1e2 0x1e5 0x1e1 0x1e3 0x1e3 0x1e2 0x1e1 0x1e9 0x1e9 0x1e7 0x1ea 0x1e7 0x1e6 0x1e8 0x1dc 0x1de 0x1e0 0x1e6 0x1e6 0x1e9 0x1e2 0x1e6 0x1e7 0x1e5 0x1e6 0x1e7 0x1e5 0x1e7 0x1ea 0x1e7 0x1da 0x1dd 0x1e9 0x1e3 0x1e4 0x1e3 0x1e4 0x1e4 0x1e3 0x1e1 0x1e3 0x1e1 0x1e2 0x1e4 0x1e4 0x1e4 0x1d5 0x1e0 0x1d8 0x1d7 0x1da 0x1de 0x1de 0x1dc 0x1e0 0x1e6 0x1e6 0x1e6 0x1e4 0x1e6 0x1e0 0x1e0 0x1dd 0x1e1 0x1de 0x1df 0x1dd 0x1e1 0x1de 0x1e5 0x1e2 0x1da 0x1de 0x1db 0x1dc 0x1e0 0x1df 0x1dd 0x1e0 0xf0 0xf0 0xf0>;
					PS_Config_Lmt_FW_Rawdata_P = <0x465 0x449 0x44f 0x44f 0x45e 0x459 0x454 0x450 0x467 0x465 0x45e 0x464 0x45e 0x45a 0x460 0x460 0x454 0x446 0x448 0x44c 0x446 0x448 0x44c 0x457 0x45d 0x462 0x45d 0x45e 0x45e 0x45d 0x457 0x462 0x45a 0x459 0x453 0x457 0x45d 0x460 0x45d 0x44c 0x459 0x45a 0x454 0x454 0x459 0x457 0x44f 0x457 0x45e 0x456 0x44d 0x452 0x464 0x45e 0x461 0x459 0x45b 0x462 0x46b 0x457 0x460 0x460 0x45e 0x45b 0x465 0x469 0x460 0x45b 0x46f 0x46e 0x470 0x460 0x457 0x459 0x456 0x460 0x457 0x461 0x459 0x46b 0x459 0x479 0x46c 0x467 0x476 0x462 0x47d 0x457 0x469 0x46c 0x46b 0x469 0x473 0x479 0x473 0x446 0x467 0x445 0x45b 0x459 0x45b 0x462 0x461 0x45a 0x45e 0x45d 0x468 0x459 0x459 0x456 0x456 0x45a 0x467 0x44d 0x454 0x45a 0x456 0x452 0x459 0x468 0x44d 0x450 0x44b 0x456 0x456 0x45a 0x454 0x45e 0x450 0x465 0x467 0x45e 0x469 0x462 0x46c 0x461 0x44f 0x454 0x45e 0x45d 0x45b 0x461 0x461 0x459 0x469 0x456 0x45a 0x45e 0x456 0x461 0x45d 0x459 0x454 0x456 0x45e 0x452 0x45b 0x45b 0x459 0x45d 0x46e 0x456 0x459 0x45b 0x45a 0x45e 0x460 0x465 0x46b 0x470 0x45e 0x46b 0x470 0x472 0x46e 0x476 0x462 0x457 0x450 0x45a 0x452 0x460 0x457 0x457 0x469 0x46f 0x472 0x476 0x472 0x475 0x472 0x461 0x450 0x44b 0x450 0x456 0x45a 0x457 0x459 0x453 0x45d 0x45e 0x454 0x450 0x450 0x44c 0x453 0x460 0x45a 0x452 0x44c 0x450 0x44d 0x456 0x452 0x46b 0x459 0x45d 0x468 0x468 0x468 0x46b 0x465 0x454 0x44b 0x45b 0x436 0x442 0x446 0x44f 0x44b 0x45a 0x450 0x456 0x457 0x45a 0x457 0x457 0x457 0x459 0x452 0x45d 0x45b 0x45d 0x45a 0x461 0x462 0x45e 0x44b 0x454 0x456 0x44c 0x444 0x44b 0x45d 0x457 0x467 0x44f 0x457 0x462 0x460 0x461 0x465 0x46c 0x46c 0x464 0x465 0x468 0x467 0x46b 0x465 0x464 0x462 0x464 0x464 0x45a 0x45e 0x460 0x464 0x44d 0x477 0x47c 0x470 0x480 0x46f 0x46f 0x468 0x459 0x45b 0x46e 0x476 0x470 0x464 0x467 0x46c 0x46b 0x462 0x462 0x45b 0x45d 0x465 0x465 0x461 0x453 0x449 0x456 0x45d 0x45d 0x459 0x465 0x460 0x462 0x465 0x45e 0x461 0x459 0x461 0x461 0x45b 0x45a 0x454 0x477 0x476 0x473 0x473 0x47a 0x473 0x472 0x464 0x45b 0x45b 0x464 0x454 0x454 0x450 0x45d 0x45a 0x446 0x446 0x448 0x45b 0x464 0x44b 0x44c 0x453 0x46b 0x46e 0x46c 0x46c 0x46c 0x46c 0x44f 0x44c 0x462 0x461 0x468 0x46f 0x473 0x46f 0x46e 0x44d 0x459 0x45b 0x461 0x450 0x454 0x464 0x456 0x459 0x44f 0x44f 0x444 0x44c 0x452 0x445 0x448 0x45a 0x467 0x460 0x460 0x457 0x45d 0x460 0x45b 0x457 0x45d 0x46e 0x467 0x468 0x46e 0x477 0x462 0x470 0x464 0x464 0x462 0x468 0x46b 0x464 0x452 0x456 0x452 0x44c 0x452 0x452 0x457 0x452 0x456 0x465 0x464 0x465 0x462 0x464 0x45b 0x45a 0x468 0x457 0x469 0x461 0x45a 0x459 0x46c 0x454 0x459 0x457 0x457 0x461 0x459 0x45a 0x45a 0x45d 0x468 0x467 0x462 0x464 0x467 0x461 0x461 0x462 0x469 0x45b 0x460 0x45a 0x45a 0x45a 0x44d 0x44d 0x468 0x448 0x45e 0x467 0x46b 0x477 0x476 0x47e 0x479 0x45e 0x461 0x45e 0x45d 0x45a 0x464 0x465 0x459 0x459 0x452 0x456 0x45a 0x45e 0x467 0x45b 0x460 0x467 0x446 0x44d 0x44f 0x452 0x45b 0x450 0x45a 0x45d 0x456 0x460 0x459 0x457 0x45b 0x45a 0x457 0x470 0x479 0x470 0x46f 0x472 0x468 0x473 0x45a 0x457 0x465 0x46c 0x464 0x467 0x468 0x465 0x462 0x476 0x475 0x472 0x477 0x470 0x46f 0x473 0x457 0x45b 0x460 0x46e 0x46f 0x475 0x465 0x46e 0x472 0x46c 0x46f 0x470 0x46c 0x472 0x477 0x470 0x453 0x45a 0x476 0x467 0x46b 0x468 0x469 0x469 0x468 0x462 0x468 0x464 0x465 0x46b 0x46b 0x469 0x446 0x460 0x44d 0x44b 0x453 0x45b 0x45d 0x457 0x461 0x46f 0x46e 0x46e 0x469 0x46f 0x461 0x461 0x459 0x464 0x45b 0x45e 0x45a 0x462 0x45d 0x46c 0x465 0x453 0x45b 0x454 0x457 0x460 0x45e 0x459 0x460 0xf00 0xf00 0xf00>;
					PS_Config_Lmt_Open_Rawdata_N = <0x5ce 0x625 0x631 0x651 0x636 0x643 0x63b 0x5d4 0x5df 0x65e 0x645 0x64f 0x649 0x63f 0x613 0x5c3 0x5e5 0x634 0x642 0x65e 0x646 0x652 0x646 0x5f7 0x5f4 0x65b 0x643 0x649 0x646 0x63a 0x610 0x5d5 0x61c 0x63d 0x64a 0x672 0x65a 0x660 0x654 0x652 0x660 0x676 0x661 0x669 0x66a 0x64f 0x62d 0x613 0x621 0x63f 0x64c 0x675 0x65b 0x661 0x655 0x649 0x64b 0x663 0x64d 0x655 0x652 0x63c 0x616 0x5f8 0x622 0x643 0x649 0x673 0x65e 0x664 0x652 0x655 0x667 0x682 0x667 0x672 0x667 0x64f 0x628 0x619 0x62c 0x64e 0x654 0x682 0x66d 0x676 0x660 0x667 0x666 0x67f 0x661 0x66e 0x661 0x648 0x624 0x616 0x628 0x645 0x654 0x67b 0x66c 0x676 0x660 0x666 0x673 0x68c 0x673 0x678 0x666 0x654 0x629 0x61e 0x62c 0x64a 0x65d 0x67e 0x676 0x684 0x661 0x670 0x672 0x687 0x670 0x679 0x660 0x650 0x61e 0x618 0x641 0x65a 0x667 0x68d 0x68a 0x693 0x681 0x683 0x68e 0x69c 0x687 0x691 0x672 0x65d 0x63c 0x627 0x646 0x65f 0x66b 0x693 0x691 0x69a 0x68a 0x688 0x68e 0x69a 0x682 0x690 0x66a 0x658 0x636 0x624 0x648 0x667 0x66e 0x69a 0x69a 0x69d 0x693 0x69b 0x69a 0x6ae 0x692 0x6a4 0x673 0x65c 0x63e 0x630 0x64d 0x66f 0x670 0x69d 0x69d 0x6ae 0x697 0x69c 0x694 0x6a7 0x68d 0x69f 0x66f 0x663 0x63a 0x62a 0x65d 0x67a 0x682 0x6aa 0x6b6 0x6c9 0x6af 0x6af 0x6a3 0x6b1 0x69f 0x6a8 0x678 0x670 0x646 0x633 0x653 0x676 0x67e 0x6a0 0x6b0 0x6c7 0x6ae 0x6a9 0x6ab 0x6ba 0x6a3 0x6b0 0x676 0x670 0x648 0x633 0x660 0x681 0x685 0x6a9 0x6b2 0x6d2 0x6be 0x6b5 0x6ba 0x6c0 0x6a6 0x6b7 0x676 0x670 0x64c 0x633 0x660 0x683 0x684 0x6a6 0x6be 0x6d2 0x6c3 0x6bb 0x6c7 0x6cd 0x6b5 0x6c3 0x688 0x67a 0x655 0x63b 0x65d 0x682 0x67b 0x69e 0x6ba 0x6d6 0x6c6 0x6be 0x6cd 0x6d7 0x6b9 0x6ca 0x68d 0x67c 0x64f 0x63c 0x65a 0x680 0x674 0x696 0x6b7 0x6d3 0x6c6 0x6be 0x6c3 0x6cb 0x6b1 0x6b8 0x682 0x673 0x642 0x631 0x63f 0x642 0x632 0x633 0x619 0x62d 0x627 0x640 0x60c 0x636 0x61e 0x61f 0x624 0x64b 0x653 0x676 0x637 0x63e 0x627 0x630 0x615 0x626 0x61f 0x63a 0x60d 0x633 0x621 0x628 0x628 0x64c 0x654 0x674 0x63d 0x64a 0x633 0x638 0x621 0x630 0x62b 0x642 0x61b 0x63b 0x630 0x63a 0x637 0x65e 0x662 0x678 0x642 0x64d 0x630 0x63c 0x623 0x631 0x630 0x641 0x616 0x63a 0x629 0x63d 0x63b 0x65e 0x65f 0x674 0x646 0x657 0x63d 0x642 0x630 0x639 0x634 0x647 0x62a 0x64b 0x63e 0x654 0x64d 0x669 0x669 0x67c 0x645 0x658 0x63f 0x648 0x62f 0x63a 0x635 0x646 0x61c 0x639 0x631 0x645 0x640 0x65a 0x657 0x66a 0x63f 0x656 0x63d 0x642 0x62d 0x63b 0x633 0x643 0x618 0x636 0x62d 0x640 0x63c 0x65d 0x656 0x666 0x643 0x658 0x646 0x64b 0x636 0x648 0x63e 0x64f 0x61d 0x630 0x62e 0x640 0x63d 0x65c 0x655 0x660 0x63a 0x658 0x643 0x645 0x631 0x63c 0x63a 0x648 0x624 0x63d 0x63a 0x64b 0x64a 0x665 0x665 0x664 0x639 0x657 0x644 0x645 0x632 0x63d 0x63c 0x646 0x624 0x63d 0x636 0x649 0x643 0x662 0x65c 0x65d 0x636 0x664 0x64a 0x654 0x639 0x649 0x644 0x64e 0x624 0x647 0x63a 0x651 0x64c 0x668 0x661 0x65d 0x63a 0x65f 0x645 0x651 0x636 0x644 0x643 0x64c 0x622 0x63f 0x631 0x648 0x643 0x660 0x657 0x653 0x62f 0x657 0x644 0x64d 0x632 0x643 0x63e 0x645 0x61b 0x639 0x631 0x641 0x63c 0x65d 0x64c 0x645 0x5b5 0x64f 0x5c5 0x646 0x5b6 0x643 0x5c1 0x63f 0x5b0 0x642 0x5bf 0x649 0x5cc 0x664 0x5d7 0x64b 0x5c7 0x5e0 0x5d9 0x5e1 0x5cc 0x5dd 0x5d6 0x5dc 0x5bb 0x5d3 0x5c9 0x5d8 0x5d4 0x5ee 0x5dd 0x5d7 0x5d9 0x5f3 0x5ee 0x5f8 0x5e2 0x5f2 0x5ec 0x5f2 0x5ce 0x5e6 0x5d9 0x5e9 0x5e2 0x5fc 0x5e7 0x5e1 0x571 0x5ef 0x5e9 0x5f4 0x5dd 0x5ee 0x5e6 0x5ef 0x5d5 0x5f4 0x5e0 0x5f5 0x5ec 0x608 0x5ec 0x588 0x555 0x5f3 0x5ef 0x5ff 0x5e8 0x5f7 0x5ee 0x5f7 0x5d7 0x5f8 0x5e3 0x5f5 0x5f0 0x607 0x5e9 0x56a 0xfffffe01 0xfffffe01 0xfffffe01>;
					PS_Config_Lmt_Open_Rawdata_P = <0xd8d 0xe56 0xe74 0xebe 0xe7e 0xe9c 0xe8a 0xd9b 0xdb3 0xedd 0xea2 0xeb8 0xeac 0xe94 0xe2e 0xd72 0xdc2 0xe7b 0xe9b 0xedd 0xea5 0xec1 0xea3 0xdeb 0xde4 0xed4 0xe9c 0xeaa 0xea3 0xe87 0xe27 0xd9c 0xe41 0xe90 0xead 0xf0a 0xed3 0xee0 0xec5 0xebf 0xee1 0xf13 0xee4 0xef6 0xef7 0xeba 0xe6a 0xe2e 0xe4e 0xe94 0xeb1 0xf11 0xed4 0xee4 0xec6 0xeaa 0xeaf 0xee8 0xeb4 0xec8 0xebf 0xe8c 0xe35 0xdef 0xe4f 0xe9c 0xeaa 0xf0e 0xedb 0xeeb 0xec1 0xec8 0xef2 0xf31 0xef0 0xf0b 0xef0 0xeb8 0xe5f 0xe3c 0xe67 0xeb6 0xec5 0xf2f 0xf00 0xf15 0xee0 0xef2 0xeee 0xf28 0xee2 0xf01 0xee2 0xea9 0xe55 0xe33 0xe5f 0xea1 0xec4 0xf20 0xefd 0xf15 0xee1 0xeef 0xf0c 0xf47 0xf0c 0xf19 0xeef 0xec4 0xe60 0xe46 0xe67 0xead 0xed9 0xf26 0xf13 0xf34 0xee4 0xf05 0xf0a 0xf3b 0xf07 0xf1c 0xee1 0xebb 0xe46 0xe39 0xe98 0xed2 0xef2 0xf49 0xf43 0xf57 0xf2e 0xf32 0xf4d 0xf6d 0xf3b 0xf54 0xf0a 0xed9 0xe8c 0xe5b 0xea5 0xede 0xefa 0xf57 0xf54 0xf67 0xf42 0xf3d 0xf4b 0xf69 0xf31 0xf51 0xef9 0xecf 0xe7e 0xe55 0xea9 0xef0 0xf01 0xf67 0xf69 0xf70 0xf58 0xf6a 0xf69 0xf96 0xf55 0xf7f 0xf0c 0xed7 0xe91 0xe70 0xeb4 0xf03 0xf07 0xf70 0xf70 0xf97 0xf60 0xf6c 0xf5b 0xf86 0xf49 0xf74 0xf03 0xee7 0xe87 0xe63 0xed9 0xf1d 0xf31 0xf8d 0xfa9 0xfd5 0xf9a 0xf98 0xf7c 0xf9e 0xf74 0xf88 0xf18 0xf05 0xea5 0xe77 0xec2 0xf13 0xf26 0xf77 0xf9b 0xfd0 0xf97 0xf8a 0xf90 0xfb2 0xf7c 0xf9b 0xf15 0xf05 0xea8 0xe77 0xee0 0xf2d 0xf36 0xf8a 0xf9f 0xfea 0xfbd 0xfa8 0xfb2 0xfc1 0xf85 0xfab 0xf15 0xf05 0xeb3 0xe77 0xee1 0xf32 0xf35 0xf83 0xfbb 0xfea 0xfc7 0xfb4 0xfd0 0xfde 0xfa6 0xfc8 0xf3d 0xf1d 0xec6 0xe8a 0xeda 0xf31 0xf1f 0xf71 0xfb2 0xff3 0xfcf 0xfbd 0xfde 0xff6 0xfb0 0xfd7 0xf49 0xf21 0xeba 0xe8d 0xed2 0xf2b 0xf0f 0xf5e 0xfac 0xfec 0xfce 0xfbb 0xfc8 0xfda 0xf9e 0xfaf 0xf31 0xf0c 0xe9a 0xe72 0xe93 0xe9a 0xe75 0xe77 0xe3c 0xe69 0xe5c 0xe97 0xe1c 0xe7f 0xe46 0xe48 0xe55 0xeaf 0xec2 0xf13 0xe80 0xe91 0xe5b 0xe70 0xe31 0xe59 0xe4a 0xe89 0xe1e 0xe78 0xe4e 0xe5f 0xe5d 0xeb3 0xec4 0xf0f 0xe90 0xead 0xe77 0xe83 0xe4d 0xe71 0xe66 0xe9b 0xe40 0xe8a 0xe70 0xe87 0xe80 0xedd 0xee5 0xf18 0xe9b 0xeb4 0xe70 0xe8c 0xe52 0xe74 0xe70 0xe98 0xe35 0xe87 0xe60 0xe90 0xe8a 0xedd 0xede 0xf0f 0xea3 0xecc 0xe90 0xe9b 0xe70 0xe86 0xe7b 0xea6 0xe62 0xeb0 0xe91 0xec4 0xeb4 0xef6 0xef5 0xf21 0xea2 0xecf 0xe94 0xea8 0xe6e 0xe89 0xe7c 0xea3 0xe43 0xe86 0xe74 0xea1 0xe95 0xed3 0xecc 0xef9 0xe94 0xec9 0xe90 0xe9b 0xe69 0xe8a 0xe78 0xe9e 0xe38 0xe7f 0xe6a 0xe95 0xe8c 0xeda 0xec9 0xeef 0xe9c 0xecd 0xea5 0xeaf 0xe7e 0xea9 0xe91 0xeb8 0xe44 0xe70 0xe6d 0xe97 0xe8e 0xed7 0xec8 0xee1 0xe87 0xecd 0xe9c 0xea1 0xe72 0xe8d 0xe89 0xea9 0xe54 0xe90 0xe87 0xeaf 0xead 0xeec 0xeec 0xee9 0xe85 0xecb 0xe9f 0xea1 0xe75 0xe90 0xe8c 0xea3 0xe55 0xe90 0xe7f 0xeaa 0xe9e 0xee5 0xed7 0xed9 0xe7f 0xeeb 0xead 0xec5 0xe85 0xeaa 0xe9f 0xeb6 0xe55 0xea6 0xe87 0xebe 0xeb1 0xef3 0xee4 0xed9 0xe87 0xede 0xea1 0xebe 0xe7e 0xe9f 0xe9e 0xeb1 0xe51 0xe93 0xe74 0xea8 0xe9e 0xee1 0xecc 0xec2 0xe6e 0xecb 0xe9f 0xeb4 0xe75 0xe9c 0xe91 0xea1 0xe40 0xe85 0xe74 0xe98 0xe8c 0xeda 0xeb1 0xea1 0xd51 0xeba 0xd78 0xea5 0xd53 0xe9c 0xd6d 0xe94 0xd47 0xe9b 0xd6a 0xeaa 0xd87 0xee9 0xda2 0xeb0 0xd7b 0xdb7 0xda5 0xdb8 0xd87 0xdb0 0xd9f 0xdad 0xd60 0xd97 0xd80 0xda3 0xd9b 0xdd6 0xdae 0xda2 0xda6 0xde2 0xdd6 0xded 0xdba 0xde1 0xdd1 0xddf 0xd8d 0xdc5 0xda5 0xdcc 0xdbb 0xdf7 0xdc6 0xdb8 0xcb4 0xdd8 0xdcc 0xde5 0xdae 0xdd7 0xdc3 0xdd8 0xd9c 0xde5 0xdb5 0xde8 0xdd3 0xe13 0xdd3 0xce9 0xc72 0xde2 0xdda 0xdfe 0xdc8 0xdec 0xdd6 0xdec 0xda0 0xded 0xdbe 0xde8 0xddb 0xe12 0xdcc 0xca2 0x1400 0x1400 0x1400>;
					PS_Config_Lmt_Short_Rawdata_N = <0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2774 0x2710 0x2710 0x2710>;
					PS_Config_Lmt_Short_Rawdata_P = <0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8 0x36b8>;
					X_Channel = <0x10>;
					Y_Channel = <0x24>;
					compatible = "novatek-mp-criteria-6286";
				};
			};
		};
	};

	fragment@7 {
		target = <0xffffffff>;

		__overlay__ {
			compatible = "mediatek,touch";
			pinctrl-0 = <0xd>;
			pinctrl-1 = <0xe>;
			pinctrl-2 = <0xf>;
			pinctrl-3 = <0x10>;
			pinctrl-4 = <0x11>;
			pinctrl-5 = <0x12>;
			pinctrl-names = "default", "state_eint_as_int", "state_eint_output0", "state_eint_output1", "state_rst_output0", "state_rst_output1";
			status = "okay";
			tpd-filter-custom-prameters = <0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0>;
			tpd-filter-custom-speed = <0x0 0x0 0x0>;
			tpd-filter-enable = <0x0>;
			tpd-filter-pixel-density = <0x6a>;
			tpd-key-dim-local = <0x5a 0x373 0x64 0x28 0xe6 0x373 0x64 0x28 0x172 0x373 0x64 0x28 0x0 0x0 0x0 0x0>;
			tpd-key-local = <0x8b 0xac 0x9e 0x0>;
			tpd-key-num = <0x3>;
			tpd-max-touch-num = <0x5>;
			tpd-resolution = <0x438 0x99c>;
			use-tpd-button = <0x0>;
		};
	};

	fragment@8 {
		target = <0xffffffff>;

		__overlay__ {

			ctp_eint@0 {
				phandle = <0xe>;

				pins_cmd_dat {
					pinmux = <0xf00>;
					slew-rate = <0x0>;
				};
			};

			eint0default {
				phandle = <0xd>;
			};

			eintoutput0 {
				phandle = <0xf>;

				pins_cmd_dat {
					output-low;
					pinmux = <0xf00>;
					slew-rate = <0x1>;
				};
			};

			eintoutput1 {
				phandle = <0x10>;

				pins_cmd_dat {
					output-high;
					pinmux = <0xf00>;
					slew-rate = <0x1>;
				};
			};

			rstoutput0 {
				phandle = <0x11>;

				pins_cmd_dat {
					output-low;
					pinmux = <0x1000>;
					slew-rate = <0x1>;
				};
			};

			rstoutput1 {
				phandle = <0x12>;

				pins_cmd_dat {
					output-high;
					pinmux = <0x1000>;
					slew-rate = <0x1>;
				};
			};
		};
	};

	fragment@9 {
		target = <0xffffffff>;

		__overlay__ {

			gps_default {
				phandle = <0x13>;
			};

			gps_l1_lna@0 {
				phandle = <0x14>;

				pins_cmd_dat {
					output-low;
					pinmux = <0xac00>;
				};
			};

			gps_l1_lna@1 {
				phandle = <0x15>;

				pins_cmd_dat {
					pinmux = <0xac02>;
				};
			};

			gps_l1_lna@2 {
				phandle = <0x16>;

				pins_cmd_dat {
					output-high;
					pinmux = <0xac00>;
				};
			};
		};
	};
};
